/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"

/*
 * Copyright 2013 Google Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */
/*
 * Author: Author: ncardwell@google.com (Neal Cardwell)
 *
 * This is the parser for the packetdrill script language. It is
 * processed by the bison parser generator.
 *
 * For full documentation see: http://www.gnu.org/software/bison/manual/
 *
 * Here is a quick and dirty tutorial on bison:
 *
 * A bison parser specification is basically a BNF grammar for the
 * language you are parsing. Each rule specifies a nonterminal symbol
 * on the left-hand side and a sequence of terminal symbols (lexical
 * tokens) and or nonterminal symbols on the right-hand side that can
 * "reduce" to the symbol on the left hand side. When the parser sees
 * the sequence of symbols on the right where it "wants" to see a
 * nonterminal on the left, the rule fires, executing the semantic
 * action code in curly {} braces as it reduces the right hand side to
 * the left hand side.
 *
 * The semantic action code for a rule produces an output, which it
 * can reference using the $$ token. The set of possible types
 * returned in output expressions is given in the %union section of
 * the .y file. The specific type of the output for a terminal or
 * nonterminal symbol (corresponding to a field in the %union) is
 * given by the %type directive in the .y file. The action code can
 * access the outputs of the symbols on the right hand side by using
 * the notation $1 for the first symbol, $2 for the second symbol, and
 * so on.
 *
 * The lexer (generated by flex from lexer.l) feeds a stream of
 * terminal symbols up to this parser. Parser semantic actions can
 * access the lexer output for a terminal symbol with the same
 * notation they use for nonterminals.
 *
 * Here's an example rule with its semantic action in {} braces:
 *
 *     tcp_option
 *     ...
 *      | MSS INTEGER   {
 *        $$ = tcp_option_new(...);
 *        ...
 *        $$->data.mss.bytes = htons($2);
 *      }
 *
 * This rule basically says:
 *
 *   When the parser wants to see a tcp_option, if it sees an MSS from
 *   the lexer followed by an INTEGER from the lexer then run the
 *   action code that (a) stores in the output $$ a pointer to a
 *   struct tcp_option object, and then (b) stores in that object the
 *   value of the INTEGER token (accessed with $2).
 *
 */

/* The first part of the .y file consists of C code that bison copies
 * directly into the top of the .c file it generates.
 */

#include "types.h"

#include <arpa/inet.h>
#include <ctype.h>
#include <errno.h>
#include <fcntl.h>
#include <netinet/in.h>
#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include "gre_packet.h"
#include "ip.h"
#include "ip_packet.h"
#include "icmp_packet.h"
#include "logging.h"
#include "mpls.h"
#include "mpls_packet.h"
#include "tcp_packet.h"
#include "udp_packet.h"
#include "parse.h"
#include "script.h"
#include "tcp.h"
#include "tcp_options.h"

/* This include of the bison-generated .h file must go last so that we
 * can first include all of the declarations on which it depends.
 */
#include "parser.h"

/* Change this YYDEBUG to 1 to get verbose debug output for parsing: */
#define YYDEBUG 0
#if YYDEBUG
extern int yydebug;
#endif

extern FILE *yyin;
extern int yylineno;
extern char *yytext;
extern int yylex(void);
extern int yyparse(void);
extern int yywrap(void);
extern const char *cleanup_cmd;

/* This mutex guards all parser global variables declared in this file. */
pthread_mutex_t parser_mutex = PTHREAD_MUTEX_INITIALIZER;

/* The input to the parser: the path name of the script file to parse. */
static const char* current_script_path = NULL;

/* The starting line number of the input script statement that we're
 * currently parsing. This may be different than yylineno if bison had
 * to look ahead and lexically scan a token on the following line to
 * decide that the current statement is done.
 */
static int current_script_line = -1;

/*
 * We uses this object to look up configuration info needed during
 * parsing (such as whether packets are IPv4 or IPv6).
 */
struct config *in_config = NULL;

/* The output of the parser: an output script containing
 * 1) a linked list of options
 * 2) a linked list of events
 */
static struct script *out_script = NULL;

/* The test invocation to pass back to parse_and_finalize_config(). */
struct invocation *invocation;

/* Copy the script contents into our single linear buffer. */
void copy_script(const char *script_buffer, struct script *script)
{
	DEBUGP("copy_script\n");

	free(script->buffer);
	script->length = strlen(script_buffer);
	script->buffer = strdup(script_buffer);
	assert(script->buffer != NULL);

	DEBUGP("copy_script: %d bytes\n", script->length);
}

/* Read the script file into a single linear buffer. */
void read_script(const char *script_path, struct script *script)
{
	int size = 0;

	DEBUGP("read_script(%s)\n", script_path);

	while (script->buffer == NULL) {
		struct stat script_info;
		int fd = -1;

		/* Allocate a buffer big enough for the whole file. */
		if (stat(script_path, &script_info) != 0)
			die("parse error: stat() of script file '%s': %s\n",
			    script_path, strerror(errno));

		/* Pick a buffer size larger than the file, so we'll
		 * know if the file grew.
		 */
		size = max((int)script_info.st_size, size) + 1;

		script->buffer = malloc(size);
		assert(script->buffer != NULL);

		/* Read the file into our buffer. */
		fd = open(script_path, O_RDONLY);
		if (fd < 0)
			die("parse error opening script file '%s': %s\n",
			    script_path, strerror(errno));

		script->length = read(fd, script->buffer, size);
		if (script->length < 0)
			die("parse error reading script file '%s': %s\n",
			    script_path, strerror(errno));

		/* If we filled the buffer, then probably another
		 * process wrote more to the file since our stat call,
		 * so we should try again.
		 */
		if (script->length == size) {
			free(script->buffer);
			script->buffer = NULL;
			script->length = 0;
		}

		if (close(fd))
			die_perror("close");
	}
	DEBUGP("read_script: %d bytes\n", script->length);
}


/* The public entry point for the script parser. Parses the
 * text script file with the given path name and fills in the script
 * object with the parsed representation.
 */
int parse_script(struct config *config,
		 struct script *script,
		 struct invocation *callback_invocation)
{
	/* This bison-generated parser is not multi-thread safe, so we
	 * have a lock to prevent more than one thread using the
	 * parser at the same time. This is useful in the wire server
	 * context, where in general we may have more than one test
	 * thread running at the same time.
	 */
	if (pthread_mutex_lock(&parser_mutex) != 0)
		die_perror("pthread_mutex_lock");

#if YYDEBUG
	yydebug = 1;
#endif

	/* Now parse the script from our buffer. */
	yyin = fmemopen(script->buffer, script->length, "r");
	if (yyin == NULL)
		die_perror("fmemopen: parse error opening script buffer");

	current_script_path = config->script_path;
	in_config = config;
	out_script = script;
	invocation = callback_invocation;

	/* We have to reset the line number here since the wire server
	 * can do more than one yyparse().
	 */
	yylineno = 1;

	int result = yyparse();		/* invoke bison-generated parser */
	current_script_path = NULL;

	if (fclose(yyin))
		die_perror("fclose: error closing script buffer");

	/* Unlock parser. */
	if (pthread_mutex_unlock(&parser_mutex) != 0)
		die_perror("pthread_mutex_unlock");

	return result ? STATUS_ERR : STATUS_OK;
}

/* Bison emits code to call this method when there's a parse-time error.
 * We print the line number and the error message.
 */
static void yyerror(const char *message)
{
	fprintf(stderr, "%s:%d: parse error at '%s': %s\n",
		current_script_path, yylineno, yytext, message);
}

/* After we finish parsing each line of a script, we analyze the
 * semantics of the line. If we encounter an error then we print the
 * error message to stderr and exit with an error.
 */
static void semantic_error(const char* message)
{
	assert(current_script_line >= 0);
	die("%s:%d: semantic error: %s\n",
	    current_script_path, current_script_line, message);
}

/* This standard callback is invoked by flex when it encounters
 * the end of a file. We return 1 to tell flex to return EOF.
 */
int yywrap(void)
{
	return 1;
}

/* Create and initalize a new expression. */
static struct expression *new_expression(enum expression_t type)
{
	struct expression *expression = calloc(1, sizeof(struct expression));
	expression->type = type;
	return expression;
}

/* Create and initalize a new integer expression with the given
 * literal value and format string.
 */
static struct expression *new_integer_expression(s64 num, const char *format)
{
	struct expression *expression = new_expression(EXPR_INTEGER);
	expression->value.num = num;
	expression->format = format;
	return expression;
}

/* Create and initalize a new one-element expression_list. */
static struct expression_list *new_expression_list(
	struct expression *expression)
{
	struct expression_list *list;
	list = calloc(1, sizeof(struct expression_list));
	list->expression = expression;
	list->next = NULL;
	return list;
}

/* Add the expression to the end of the list. */
static void expression_list_append(struct expression_list *list,
				   struct expression *expression)
{
	while (list->next != NULL) {
		list = list->next;
	}
	list->next = new_expression_list(expression);
}

/* Create and initialize a new option. */
static struct option_list *new_option(char *name, char *value)
{
	struct option_list *opt = calloc(1, sizeof(struct option_list));
	opt->name = name;
	opt->value = value;
	return opt;
}

/* Create and initialize a new event. */
static struct event *new_event(enum event_t type)
{
	struct event *e = calloc(1, sizeof(struct event));
	e->type = type;
	e->time_usecs_end = NO_TIME_RANGE;
	e->offset_usecs = NO_TIME_RANGE;
	return e;
}

static int parse_hex_byte(const char *hex, u8 *byte)
{
	if (!isxdigit((int)hex[0]) || !isxdigit((int)hex[1])) {
		return STATUS_ERR;	/* need two hex digits per byte */
	}
	char buf[] = { hex[0], hex[1], '\0' };
	char* buf_end = NULL;
	u32 byte_value = strtoul(buf, &buf_end, 16);
	assert(byte_value <= 0xff);
	assert(buf_end == buf + 2);
	*byte = byte_value;
	return STATUS_OK;
}

/* Converts a hex string in 'hex' into bytes and stores them in a
 * buffer 'buf' of length 'buf_len' bytes; returns number of bytes in
 * out_len. Works for hex strings of arbitrary size, such as very long
 * TCP Fast Open cookies.
 */
static int parse_hex_string(const char *hex, u8 *buf, int buf_len,
			    int *out_len)
{
	u8 *out = buf;
	u8 *buf_end = buf + buf_len;
	while (hex[0] != '\0') {
		if (out >= buf_end) {
			return STATUS_ERR;	/* ran out of output space */
		}
		if (parse_hex_byte(hex, out))
			return STATUS_ERR;	/* bad character */
		hex += 2;
		out += 1;
	}
	*out_len = out - buf;
	assert(*out_len <= buf_len);
	return STATUS_OK;
}

static struct tcp_option *new_tcp_fast_open_option(const char *cookie_string,
						   char **error, bool exp)
{
	int cookie_string_len = strlen(cookie_string);
	if (cookie_string_len & 1) {
		asprintf(error,
			 "TCP fast open cookie has an odd number of digits");
		return NULL;
	}
	int cookie_bytes = cookie_string_len / 2;  /* 2 hex chars per byte */
	int max_bytes = exp ? MAX_TCP_FAST_OPEN_EXP_COOKIE_BYTES :
			      MAX_TCP_FAST_OPEN_COOKIE_BYTES;
	if (cookie_bytes > max_bytes) {
		asprintf(error, "TCP fast open cookie too long");
		asprintf(error, "TCP fast open cookie of %d bytes "
			 "exceeds maximum cookie length of %d bytes",
			 cookie_bytes, max_bytes);
		return NULL;
	}
	u8 option_bytes = cookie_bytes + (exp ? TCPOLEN_EXP_FASTOPEN_BASE :
	                                        TCPOLEN_FASTOPEN_BASE);
	struct tcp_option *option;
	option = tcp_option_new(exp ? TCPOPT_EXP : TCPOPT_FASTOPEN,
				option_bytes);
	if (exp)
		option->data.fast_open_exp.magic = htons(TCPOPT_FASTOPEN_MAGIC);

	int parsed_bytes = 0;
	/* Parse cookie. This should be an ASCII hex string
	 * representing an even number of bytes (4-16 bytes). But we
	 * do not enforce this, since we want to allow test cases that
	 * supply invalid cookies.
	 */
	if (parse_hex_string(cookie_string,
			     exp ? option->data.fast_open_exp.cookie :
				   option->data.fast_open.cookie,
			     exp ? sizeof(option->data.fast_open_exp.cookie):
			           sizeof(option->data.fast_open.cookie),
			     &parsed_bytes)) {
		free(option);
		asprintf(error,
			 "TCP fast open cookie '%s' is not a valid hex string",
			cookie_string);
		return NULL;
	}
	assert(parsed_bytes == cookie_bytes);
	return option;
}

static struct tcp_option *new_md5_option(const char *digest_string,
					 char **error)
{
	struct tcp_option *option;
	int digest_string_len = strlen(digest_string);
	int digest_bytes = digest_string_len / 2;
	int parsed_bytes = 0;

	if (digest_bytes > TCP_MD5_DIGEST_LEN) {
		asprintf(error, "TCP MD5 digest longer than 16 bytes");
		return NULL;
	}

	option = tcp_option_new(TCPOPT_MD5SIG, TCPOLEN_MD5_BASE + digest_bytes);

	/* Parse MD5 digest. This should be an ASCII hex string representing 16
	 * bytes. But we allow smaller buffers, since we want to allow test
	 * cases that supply invalid cookies.
	 */
	if (parse_hex_string(digest_string,
			     option->data.md5.digest,
			     sizeof(option->data.md5.digest),
			     &parsed_bytes)) {
		free(option);
		asprintf(error, "TCP MD5 digest is not a valid hex string");
		return NULL;
	}
	assert(parsed_bytes <= digest_bytes);
	return option;
}

static struct packet *append_gre(struct packet *packet, struct expression *expr)
{
	struct gre *gre = &expr->value.gre;
	char *error = NULL;
	if (gre_header_append(packet, gre, &error))
		semantic_error(error);
	free(expr);
	return packet;
}


#line 555 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "parser.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_ELLIPSIS = 3,                   /* ELLIPSIS  */
  YYSYMBOL_SA_FAMILY = 4,                  /* SA_FAMILY  */
  YYSYMBOL_SIN_PORT = 5,                   /* SIN_PORT  */
  YYSYMBOL_SIN_ADDR = 6,                   /* SIN_ADDR  */
  YYSYMBOL__HTONS_ = 7,                    /* _HTONS_  */
  YYSYMBOL_INET_ADDR = 8,                  /* INET_ADDR  */
  YYSYMBOL_INET6_ADDR = 9,                 /* INET6_ADDR  */
  YYSYMBOL_MSG_NAME = 10,                  /* MSG_NAME  */
  YYSYMBOL_MSG_IOV = 11,                   /* MSG_IOV  */
  YYSYMBOL_MSG_FLAGS = 12,                 /* MSG_FLAGS  */
  YYSYMBOL_MSG_CONTROL = 13,               /* MSG_CONTROL  */
  YYSYMBOL_CMSG_LEVEL = 14,                /* CMSG_LEVEL  */
  YYSYMBOL_CMSG_TYPE = 15,                 /* CMSG_TYPE  */
  YYSYMBOL_CMSG_DATA = 16,                 /* CMSG_DATA  */
  YYSYMBOL_FD = 17,                        /* FD  */
  YYSYMBOL_EVENTS = 18,                    /* EVENTS  */
  YYSYMBOL_REVENTS = 19,                   /* REVENTS  */
  YYSYMBOL_ONOFF = 20,                     /* ONOFF  */
  YYSYMBOL_LINGER = 21,                    /* LINGER  */
  YYSYMBOL_U32 = 22,                       /* U32  */
  YYSYMBOL_U64 = 23,                       /* U64  */
  YYSYMBOL_PTR = 24,                       /* PTR  */
  YYSYMBOL_ACK = 25,                       /* ACK  */
  YYSYMBOL_ECR = 26,                       /* ECR  */
  YYSYMBOL_EOL = 27,                       /* EOL  */
  YYSYMBOL_MSS = 28,                       /* MSS  */
  YYSYMBOL_NOP = 29,                       /* NOP  */
  YYSYMBOL_SACK = 30,                      /* SACK  */
  YYSYMBOL_SACKOK = 31,                    /* SACKOK  */
  YYSYMBOL_TIMESTAMP = 32,                 /* TIMESTAMP  */
  YYSYMBOL_VAL = 33,                       /* VAL  */
  YYSYMBOL_WIN = 34,                       /* WIN  */
  YYSYMBOL_WSCALE = 35,                    /* WSCALE  */
  YYSYMBOL_URG = 36,                       /* URG  */
  YYSYMBOL_MD5 = 37,                       /* MD5  */
  YYSYMBOL_FAST_OPEN = 38,                 /* FAST_OPEN  */
  YYSYMBOL_FAST_OPEN_EXP = 39,             /* FAST_OPEN_EXP  */
  YYSYMBOL_TOS = 40,                       /* TOS  */
  YYSYMBOL_FLAGS = 41,                     /* FLAGS  */
  YYSYMBOL_FLOWLABEL = 42,                 /* FLOWLABEL  */
  YYSYMBOL_ECT0 = 43,                      /* ECT0  */
  YYSYMBOL_ECT1 = 44,                      /* ECT1  */
  YYSYMBOL_CE = 45,                        /* CE  */
  YYSYMBOL_ECT01 = 46,                     /* ECT01  */
  YYSYMBOL_NO_ECN = 47,                    /* NO_ECN  */
  YYSYMBOL_IPV4 = 48,                      /* IPV4  */
  YYSYMBOL_IPV6 = 49,                      /* IPV6  */
  YYSYMBOL_ICMP = 50,                      /* ICMP  */
  YYSYMBOL_UDP = 51,                       /* UDP  */
  YYSYMBOL_RAW = 52,                       /* RAW  */
  YYSYMBOL_GRE = 53,                       /* GRE  */
  YYSYMBOL_MTU = 54,                       /* MTU  */
  YYSYMBOL_ID = 55,                        /* ID  */
  YYSYMBOL_MPLS = 56,                      /* MPLS  */
  YYSYMBOL_LABEL = 57,                     /* LABEL  */
  YYSYMBOL_TC = 58,                        /* TC  */
  YYSYMBOL_TTL = 59,                       /* TTL  */
  YYSYMBOL_OPTION = 60,                    /* OPTION  */
  YYSYMBOL_SUM = 61,                       /* SUM  */
  YYSYMBOL_OFF = 62,                       /* OFF  */
  YYSYMBOL_KEY = 63,                       /* KEY  */
  YYSYMBOL_SEQ = 64,                       /* SEQ  */
  YYSYMBOL_NONE = 65,                      /* NONE  */
  YYSYMBOL_CHECKSUM = 66,                  /* CHECKSUM  */
  YYSYMBOL_SEQUENCE = 67,                  /* SEQUENCE  */
  YYSYMBOL_PRESENT = 68,                   /* PRESENT  */
  YYSYMBOL_EE_ERRNO = 69,                  /* EE_ERRNO  */
  YYSYMBOL_EE_CODE = 70,                   /* EE_CODE  */
  YYSYMBOL_EE_DATA = 71,                   /* EE_DATA  */
  YYSYMBOL_EE_INFO = 72,                   /* EE_INFO  */
  YYSYMBOL_EE_ORIGIN = 73,                 /* EE_ORIGIN  */
  YYSYMBOL_EE_TYPE = 74,                   /* EE_TYPE  */
  YYSYMBOL_SCM_SEC = 75,                   /* SCM_SEC  */
  YYSYMBOL_SCM_NSEC = 76,                  /* SCM_NSEC  */
  YYSYMBOL_FLOAT = 77,                     /* FLOAT  */
  YYSYMBOL_INTEGER = 78,                   /* INTEGER  */
  YYSYMBOL_HEX_INTEGER = 79,               /* HEX_INTEGER  */
  YYSYMBOL_WORD = 80,                      /* WORD  */
  YYSYMBOL_STRING = 81,                    /* STRING  */
  YYSYMBOL_BACK_QUOTED = 82,               /* BACK_QUOTED  */
  YYSYMBOL_CODE = 83,                      /* CODE  */
  YYSYMBOL_IPV4_ADDR = 84,                 /* IPV4_ADDR  */
  YYSYMBOL_IPV6_ADDR = 85,                 /* IPV6_ADDR  */
  YYSYMBOL_86_ = 86,                       /* '='  */
  YYSYMBOL_87_ = 87,                       /* '+'  */
  YYSYMBOL_88_ = 88,                       /* '*'  */
  YYSYMBOL_89_ = 89,                       /* '~'  */
  YYSYMBOL_90_ = 90,                       /* '('  */
  YYSYMBOL_91_ = 91,                       /* ')'  */
  YYSYMBOL_92_ = 92,                       /* '>'  */
  YYSYMBOL_93_ = 93,                       /* ':'  */
  YYSYMBOL_94_ = 94,                       /* '['  */
  YYSYMBOL_95_ = 95,                       /* ']'  */
  YYSYMBOL_96_ = 96,                       /* ','  */
  YYSYMBOL_97_ = 97,                       /* '<'  */
  YYSYMBOL_98_ = 98,                       /* '.'  */
  YYSYMBOL_99_ = 99,                       /* '-'  */
  YYSYMBOL_100_ = 100,                     /* '{'  */
  YYSYMBOL_101_ = 101,                     /* '}'  */
  YYSYMBOL_102_ = 102,                     /* '|'  */
  YYSYMBOL_YYACCEPT = 103,                 /* $accept  */
  YYSYMBOL_script = 104,                   /* script  */
  YYSYMBOL_opt_options = 105,              /* opt_options  */
  YYSYMBOL_options = 106,                  /* options  */
  YYSYMBOL_option = 107,                   /* option  */
  YYSYMBOL_option_flag = 108,              /* option_flag  */
  YYSYMBOL_option_value = 109,             /* option_value  */
  YYSYMBOL_opt_init_command = 110,         /* opt_init_command  */
  YYSYMBOL_init_command = 111,             /* init_command  */
  YYSYMBOL_events = 112,                   /* events  */
  YYSYMBOL_event = 113,                    /* event  */
  YYSYMBOL_event_time = 114,               /* event_time  */
  YYSYMBOL_time = 115,                     /* time  */
  YYSYMBOL_action = 116,                   /* action  */
  YYSYMBOL_packet_spec = 117,              /* packet_spec  */
  YYSYMBOL_tcp_packet_spec = 118,          /* tcp_packet_spec  */
  YYSYMBOL_udp_packet_spec = 119,          /* udp_packet_spec  */
  YYSYMBOL_icmp_packet_spec = 120,         /* icmp_packet_spec  */
  YYSYMBOL_packet_prefix = 121,            /* packet_prefix  */
  YYSYMBOL_gre_header_expression = 122,    /* gre_header_expression  */
  YYSYMBOL_gre_flags_list = 123,           /* gre_flags_list  */
  YYSYMBOL_gre_flags = 124,                /* gre_flags  */
  YYSYMBOL_gre_flag = 125,                 /* gre_flag  */
  YYSYMBOL_gre_sum = 126,                  /* gre_sum  */
  YYSYMBOL_gre_off = 127,                  /* gre_off  */
  YYSYMBOL_gre_key = 128,                  /* gre_key  */
  YYSYMBOL_gre_seq = 129,                  /* gre_seq  */
  YYSYMBOL_opt_comma = 130,                /* opt_comma  */
  YYSYMBOL_opt_equals = 131,               /* opt_equals  */
  YYSYMBOL_mpls_stack = 132,               /* mpls_stack  */
  YYSYMBOL_mpls_stack_entry = 133,         /* mpls_stack_entry  */
  YYSYMBOL_opt_mpls_stack_bottom = 134,    /* opt_mpls_stack_bottom  */
  YYSYMBOL_icmp_type = 135,                /* icmp_type  */
  YYSYMBOL_opt_icmp_code = 136,            /* opt_icmp_code  */
  YYSYMBOL_opt_icmp_echoed = 137,          /* opt_icmp_echoed  */
  YYSYMBOL_opt_icmp_mtu = 138,             /* opt_icmp_mtu  */
  YYSYMBOL_opt_icmp_echo_id = 139,         /* opt_icmp_echo_id  */
  YYSYMBOL_opt_port_info = 140,            /* opt_port_info  */
  YYSYMBOL_direction = 141,                /* direction  */
  YYSYMBOL_tos_spec = 142,                 /* tos_spec  */
  YYSYMBOL_ip_ecn = 143,                   /* ip_ecn  */
  YYSYMBOL_opt_ack_flag = 144,             /* opt_ack_flag  */
  YYSYMBOL_opt_word = 145,                 /* opt_word  */
  YYSYMBOL_ack_and_ace = 146,              /* ack_and_ace  */
  YYSYMBOL_flags = 147,                    /* flags  */
  YYSYMBOL_flow_label = 148,               /* flow_label  */
  YYSYMBOL_ip_info = 149,                  /* ip_info  */
  YYSYMBOL_opt_ip_info = 150,              /* opt_ip_info  */
  YYSYMBOL_seq = 151,                      /* seq  */
  YYSYMBOL_opt_ack = 152,                  /* opt_ack  */
  YYSYMBOL_opt_window = 153,               /* opt_window  */
  YYSYMBOL_opt_urg_ptr = 154,              /* opt_urg_ptr  */
  YYSYMBOL_opt_tcp_options = 155,          /* opt_tcp_options  */
  YYSYMBOL_tcp_option_list = 156,          /* tcp_option_list  */
  YYSYMBOL_opt_tcp_fast_open_cookie = 157, /* opt_tcp_fast_open_cookie  */
  YYSYMBOL_hex_blob = 158,                 /* hex_blob  */
  YYSYMBOL_tcp_option = 159,               /* tcp_option  */
  YYSYMBOL_sack_block_list = 160,          /* sack_block_list  */
  YYSYMBOL_sack_block = 161,               /* sack_block  */
  YYSYMBOL_syscall_spec = 162,             /* syscall_spec  */
  YYSYMBOL_opt_end_time = 163,             /* opt_end_time  */
  YYSYMBOL_function_name = 164,            /* function_name  */
  YYSYMBOL_function_arguments = 165,       /* function_arguments  */
  YYSYMBOL_expression_list = 166,          /* expression_list  */
  YYSYMBOL_expression = 167,               /* expression  */
  YYSYMBOL_any_int = 168,                  /* any_int  */
  YYSYMBOL_decimal_integer = 169,          /* decimal_integer  */
  YYSYMBOL_hex_integer = 170,              /* hex_integer  */
  YYSYMBOL_string_expression = 171,        /* string_expression  */
  YYSYMBOL_string_sequence = 172,          /* string_sequence  */
  YYSYMBOL_binary_expression = 173,        /* binary_expression  */
  YYSYMBOL_array = 174,                    /* array  */
  YYSYMBOL_inaddr = 175,                   /* inaddr  */
  YYSYMBOL_in6addr = 176,                  /* in6addr  */
  YYSYMBOL_sockaddr = 177,                 /* sockaddr  */
  YYSYMBOL_msghdr = 178,                   /* msghdr  */
  YYSYMBOL_opt_cmsg = 179,                 /* opt_cmsg  */
  YYSYMBOL_cmsg_expr = 180,                /* cmsg_expr  */
  YYSYMBOL_scm_timestamping_expr = 181,    /* scm_timestamping_expr  */
  YYSYMBOL_sub_expr_list = 182,            /* sub_expr_list  */
  YYSYMBOL_sock_extended_err_expr = 183,   /* sock_extended_err_expr  */
  YYSYMBOL_iovec = 184,                    /* iovec  */
  YYSYMBOL_pollfd = 185,                   /* pollfd  */
  YYSYMBOL_epollev = 186,                  /* epollev  */
  YYSYMBOL_opt_revents = 187,              /* opt_revents  */
  YYSYMBOL_linger = 188,                   /* linger  */
  YYSYMBOL_mpls_stack_expression = 189,    /* mpls_stack_expression  */
  YYSYMBOL_opt_errno = 190,                /* opt_errno  */
  YYSYMBOL_opt_note = 191,                 /* opt_note  */
  YYSYMBOL_note = 192,                     /* note  */
  YYSYMBOL_word_list = 193,                /* word_list  */
  YYSYMBOL_command_spec = 194,             /* command_spec  */
  YYSYMBOL_code_spec = 195,                /* code_spec  */
  YYSYMBOL_opt_cleanup_command = 196,      /* opt_cleanup_command  */
  YYSYMBOL_cleanup_command = 197           /* cleanup_command  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  7
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   477

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  103
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  95
/* YYNRULES -- Number of rules.  */
#define YYNRULES  211
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  454

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   340


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      90,    91,    88,    87,    96,    99,    98,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    93,     2,
      97,    86,    92,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    94,     2,    95,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   100,   102,   101,    89,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   601,   601,   607,   611,   618,   622,   629,   632,   637,
     641,   642,   643,   644,   645,   646,   647,   648,   656,   664,
     675,   676,   680,   684,   689,   696,   725,   731,   737,   742,
     749,   759,   765,   774,   775,   776,   777,   781,   782,   783,
     787,   820,   846,   873,   877,   890,   903,   908,   913,   926,
     941,   942,   946,   947,   951,   952,   953,   954,   958,   962,
     966,   970,   974,   975,   979,   980,   984,   987,   996,  1012,
    1013,  1022,  1026,  1027,  1032,  1037,  1042,  1045,  1052,  1053,
    1057,  1058,  1062,  1066,  1080,  1081,  1085,  1086,  1087,  1100,
    1101,  1102,  1103,  1107,  1110,  1116,  1119,  1125,  1131,  1132,
    1133,  1134,  1138,  1149,  1155,  1161,  1167,  1176,  1182,  1183,
    1187,  1208,  1209,  1218,  1219,  1228,  1229,  1238,  1239,  1240,
    1244,  1250,  1259,  1260,  1264,  1265,  1269,  1270,  1271,  1278,
    1285,  1289,  1292,  1302,  1316,  1326,  1339,  1340,  1355,  1369,
    1382,  1383,  1387,  1391,  1392,  1396,  1397,  1401,  1404,  1405,
    1410,  1413,  1419,  1422,  1425,  1428,  1431,  1434,  1437,  1440,
    1443,  1446,  1449,  1452,  1455,  1458,  1461,  1464,  1470,  1471,
    1475,  1481,  1487,  1496,  1499,  1511,  1520,  1534,  1538,  1545,
    1552,  1563,  1595,  1612,  1613,  1617,  1630,  1643,  1650,  1670,
    1680,  1691,  1697,  1703,  1709,  1719,  1720,  1724,  1733,  1740,
    1741,  1749,  1750,  1754,  1758,  1759,  1760,  1764,  1772,  1780,
    1781,  1785
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "ELLIPSIS",
  "SA_FAMILY", "SIN_PORT", "SIN_ADDR", "_HTONS_", "INET_ADDR",
  "INET6_ADDR", "MSG_NAME", "MSG_IOV", "MSG_FLAGS", "MSG_CONTROL",
  "CMSG_LEVEL", "CMSG_TYPE", "CMSG_DATA", "FD", "EVENTS", "REVENTS",
  "ONOFF", "LINGER", "U32", "U64", "PTR", "ACK", "ECR", "EOL", "MSS",
  "NOP", "SACK", "SACKOK", "TIMESTAMP", "VAL", "WIN", "WSCALE", "URG",
  "MD5", "FAST_OPEN", "FAST_OPEN_EXP", "TOS", "FLAGS", "FLOWLABEL", "ECT0",
  "ECT1", "CE", "ECT01", "NO_ECN", "IPV4", "IPV6", "ICMP", "UDP", "RAW",
  "GRE", "MTU", "ID", "MPLS", "LABEL", "TC", "TTL", "OPTION", "SUM", "OFF",
  "KEY", "SEQ", "NONE", "CHECKSUM", "SEQUENCE", "PRESENT", "EE_ERRNO",
  "EE_CODE", "EE_DATA", "EE_INFO", "EE_ORIGIN", "EE_TYPE", "SCM_SEC",
  "SCM_NSEC", "FLOAT", "INTEGER", "HEX_INTEGER", "WORD", "STRING",
  "BACK_QUOTED", "CODE", "IPV4_ADDR", "IPV6_ADDR", "'='", "'+'", "'*'",
  "'~'", "'('", "')'", "'>'", "':'", "'['", "']'", "','", "'<'", "'.'",
  "'-'", "'{'", "'}'", "'|'", "$accept", "script", "opt_options",
  "options", "option", "option_flag", "option_value", "opt_init_command",
  "init_command", "events", "event", "event_time", "time", "action",
  "packet_spec", "tcp_packet_spec", "udp_packet_spec", "icmp_packet_spec",
  "packet_prefix", "gre_header_expression", "gre_flags_list", "gre_flags",
  "gre_flag", "gre_sum", "gre_off", "gre_key", "gre_seq", "opt_comma",
  "opt_equals", "mpls_stack", "mpls_stack_entry", "opt_mpls_stack_bottom",
  "icmp_type", "opt_icmp_code", "opt_icmp_echoed", "opt_icmp_mtu",
  "opt_icmp_echo_id", "opt_port_info", "direction", "tos_spec", "ip_ecn",
  "opt_ack_flag", "opt_word", "ack_and_ace", "flags", "flow_label",
  "ip_info", "opt_ip_info", "seq", "opt_ack", "opt_window", "opt_urg_ptr",
  "opt_tcp_options", "tcp_option_list", "opt_tcp_fast_open_cookie",
  "hex_blob", "tcp_option", "sack_block_list", "sack_block",
  "syscall_spec", "opt_end_time", "function_name", "function_arguments",
  "expression_list", "expression", "any_int", "decimal_integer",
  "hex_integer", "string_expression", "string_sequence",
  "binary_expression", "array", "inaddr", "in6addr", "sockaddr", "msghdr",
  "opt_cmsg", "cmsg_expr", "scm_timestamping_expr", "sub_expr_list",
  "sock_extended_err_expr", "iovec", "pollfd", "epollev", "opt_revents",
  "linger", "mpls_stack_expression", "opt_errno", "opt_note", "note",
  "word_list", "command_spec", "code_spec", "opt_cleanup_command",
  "cleanup_command", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-411)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-97)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
       3,  -411,    79,    26,     3,  -411,    36,  -411,  -411,   -22,
    -411,  -411,  -411,    54,  -411,  -411,    18,  -411,   129,  -411,
       0,    67,  -411,  -411,  -411,    39,  -411,  -411,  -411,  -411,
      90,  -411,  -411,  -411,  -411,    18,  -411,  -411,  -411,  -411,
    -411,  -411,  -411,  -411,     4,  -411,  -411,   139,  -411,  -411,
      18,   -50,   138,  -411,   -20,   -20,   128,  -411,   117,   117,
     -45,  -411,   141,  -411,  -411,  -411,  -411,    18,   152,   153,
    -411,  -411,   196,   -42,   160,   161,  -411,  -411,  -411,  -411,
    -411,   163,   146,  -411,  -411,   155,   148,   164,   169,   156,
     -26,    10,   165,  -411,   157,   158,   -17,   159,   162,   197,
    -411,  -411,  -411,  -411,  -411,   211,  -411,  -411,  -411,   176,
     167,   177,   -55,  -411,  -411,   182,   183,  -411,   170,   172,
    -411,  -411,   181,   260,  -411,    33,     6,    30,   168,  -411,
    -411,  -411,  -411,   187,  -411,  -411,  -411,  -411,  -411,  -411,
    -411,  -411,  -411,  -411,  -411,  -411,  -411,  -411,  -411,    37,
     185,   186,   124,  -411,  -411,   212,   194,  -411,  -411,   220,
     198,  -411,  -411,  -411,  -411,  -411,   184,   250,   199,   201,
      37,  -411,  -411,    45,   188,   193,   195,   202,   203,   204,
     205,   206,   207,   200,   -73,   122,  -411,    37,    37,  -411,
    -411,   -53,   190,   210,   219,  -411,   227,   228,   209,   213,
      71,   162,   214,   221,   242,   215,   222,   229,   264,   217,
     223,   168,  -411,   233,   225,   309,    37,    37,    37,   235,
      37,   237,  -411,  -411,  -411,   168,   168,   226,   226,  -411,
    -411,  -411,  -411,  -411,  -411,   124,  -411,   255,   261,  -411,
     240,   230,  -411,   231,  -411,   244,   284,  -411,  -411,   224,
     232,   236,   -67,   -38,    -3,   234,    27,   238,   -30,  -411,
    -411,  -411,  -411,    71,   162,   245,  -411,   -44,  -411,   248,
    -411,   251,   239,  -411,   326,   246,   318,   317,   149,   316,
     265,   263,  -411,  -411,    29,  -411,   277,   247,   252,   254,
     253,   256,  -411,   116,  -411,   259,   338,   266,   267,   268,
     269,   270,   271,   272,   273,   274,  -411,  -411,   275,   162,
     257,   285,   286,  -411,  -411,   258,  -411,   287,  -411,   288,
    -411,   313,   289,    87,    87,    87,   130,  -411,   342,   276,
      37,    37,    37,    37,    37,    37,   290,    37,   291,  -411,
      71,   298,   293,   311,   280,   283,  -411,  -411,   282,   288,
    -411,   299,  -411,  -411,  -411,  -411,  -411,  -411,  -411,  -411,
     166,   292,   365,    28,    40,    76,    98,   108,   111,   278,
      56,   279,  -411,    71,  -411,   294,   300,   295,   296,   303,
    -411,   357,  -411,   306,   297,   369,   367,   301,  -411,  -411,
    -411,  -411,  -411,   314,  -411,  -411,   302,   304,  -411,  -411,
    -411,   315,   305,   233,   308,   319,  -411,   320,  -411,  -411,
    -411,   307,   310,    37,    37,    37,   386,   321,   126,   168,
      73,   322,   323,  -411,   327,   391,   324,   325,   328,   388,
      37,   329,   330,    78,   331,    37,   332,   312,   106,   333,
    -411,   396,   334,    37,   335,  -411,   118,   323,   341,  -411,
     337,    37,   131,  -411
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       3,     9,     0,    20,     4,     5,     8,     1,   207,     0,
      21,    22,     6,     0,    31,    32,     0,    28,   209,    23,
     140,    27,    15,    16,    10,    11,    12,    13,    14,     7,
      26,    24,   211,     2,   210,     0,   208,    85,    84,    25,
      33,    37,    38,    39,   107,    43,    34,     0,    35,    36,
       0,     0,     0,   141,   107,   107,    62,    66,     0,     0,
      82,   142,     0,    29,    17,    18,    19,     0,     0,     0,
      46,    63,     0,     0,     0,     0,    90,    91,    92,    87,
      89,     0,   103,    86,   104,     0,     0,     0,    82,     0,
      95,     0,     0,    30,     0,     0,     0,     0,    62,     0,
      48,    67,    88,   102,   105,     0,   108,   109,    71,    72,
       0,     0,    93,   100,   101,     0,     0,   147,     0,     0,
     170,   171,   149,   172,   143,     0,    66,     0,   145,   148,
     168,   169,   173,   150,   152,   153,   154,   155,   156,   157,
     162,   163,   164,   165,   158,   159,   167,   160,   161,     0,
       0,     0,     0,    51,    47,     0,     0,   106,    73,    78,
       0,    83,    94,    98,    97,    99,     0,   111,     0,     0,
       0,   151,   177,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   144,     0,     0,   172,
     174,   199,     0,     0,     0,    54,     0,     0,     0,    52,
       0,    62,     0,     0,    80,     0,     0,     0,   113,     0,
       0,   176,   178,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   166,   198,   187,   146,   175,     0,   201,    44,
      45,    56,    55,    57,    50,     0,    58,     0,     0,    79,
       0,    74,    41,     0,   112,     0,   115,   179,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     139,   202,    53,     0,    62,     0,    81,     0,    42,     0,
     114,     0,   117,   189,     0,     0,     0,     0,     0,     0,
       0,     0,   205,   204,     0,    59,     0,     0,     0,     0,
       0,     0,   116,     0,    40,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   206,   203,    64,    62,
      69,     0,     0,    76,   110,     0,   127,     0,   126,     0,
     130,     0,     0,     0,   122,   122,     0,   120,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    65,
       0,     0,     0,     0,     0,     0,   119,   128,     0,   131,
     136,     0,   129,   125,   124,   132,   134,   123,   135,   118,
       0,     0,     0,     0,   195,     0,     0,     0,     0,     0,
       0,     0,    60,     0,    49,     0,     0,     0,     0,     0,
     137,     0,   121,     0,     0,     0,     0,     0,   191,   193,
     194,   192,   197,     0,   186,    61,     0,     0,    75,    77,
     138,     0,     0,     0,     0,     0,   190,     0,    70,    68,
     133,     0,     0,     0,     0,     0,     0,     0,     0,   196,
       0,     0,     0,   185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   183,     0,
     181,     0,     0,     0,     0,   182,     0,     0,     0,   184,
       0,     0,     0,   188
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -411,  -411,  -411,  -411,   410,  -411,  -411,  -411,  -411,  -411,
     397,  -411,     9,  -411,  -411,  -411,  -411,  -411,  -411,   336,
    -411,   189,  -411,  -411,  -411,  -411,  -411,   -94,  -411,   339,
    -411,  -411,  -411,  -411,  -411,  -411,  -411,   340,  -411,  -411,
    -411,  -411,  -411,  -411,  -411,   343,   366,   175,   171,  -411,
    -411,  -411,  -411,  -411,   101,   104,    69,  -411,    81,  -411,
    -411,  -411,  -411,   109,  -149,   -95,  -211,  -411,   344,  -411,
    -411,  -410,  -411,  -411,  -411,  -411,  -411,  -411,  -411,  -411,
    -411,  -411,  -411,  -411,  -411,  -411,  -411,  -411,  -411,   208,
    -411,    60,  -411,  -411,  -411
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     2,     3,     4,     5,     6,    29,     9,    10,    18,
      19,    20,    21,    39,    40,    41,    42,    43,    44,    97,
      98,   198,   199,   201,   264,   309,   374,    72,   340,    73,
     101,   343,   109,   159,   268,   204,   241,    90,    45,    82,
      83,   163,   115,   165,   116,    84,    85,    60,   167,   208,
     246,   272,   294,   326,   356,   357,   327,   349,   350,    46,
      47,    62,    92,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   442,   140,   141,   142,
     143,   144,   145,   146,   387,   147,   148,   228,   260,   259,
     284,    11,    49,    33,    34
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     191,   153,   249,    35,   155,    87,    88,   288,   289,   174,
     175,   282,   426,   117,   118,   119,   176,    99,   118,   119,
     177,   211,   -96,   178,   179,    30,   180,   227,   223,   276,
      64,    65,    66,    89,   166,   188,   117,   449,   225,   226,
     117,   118,   119,   162,    53,   118,   119,    96,    99,   188,
     283,   100,    54,    55,   112,    14,    15,    56,   277,    63,
      57,   120,   121,     1,   188,    16,    17,   252,   253,   254,
      58,   256,   113,   114,    59,   181,    93,   152,    32,     7,
      48,   182,     8,    36,   120,   121,   122,   123,   120,   121,
     122,   123,    37,   278,    58,    14,    15,    38,    59,   188,
     125,   124,    22,    23,   125,   236,   126,   237,     8,   306,
     126,   120,   121,   122,   123,   120,   121,   122,   123,   315,
     307,   186,    13,   280,   385,    51,   187,   125,   172,   188,
     188,   125,    24,   126,    25,    26,   386,   126,    27,    28,
     212,   187,   188,   316,   317,   318,   319,   320,   321,   120,
     121,   322,   393,   323,   324,   325,    50,    74,   188,    75,
      76,    77,    78,    79,    80,   353,   299,   354,   285,   424,
     286,   300,   301,   302,   436,   188,    81,   388,   188,    52,
     188,   363,   364,   365,   366,   367,   368,   194,   370,   195,
     196,   197,   412,   316,   317,   318,   319,   320,   321,   389,
     188,   322,   441,   323,   324,   325,    14,    15,   188,   390,
     188,     8,   391,   188,   448,   341,    16,    17,   187,    61,
     188,    70,   359,   224,    71,    67,   360,   423,   188,    68,
      69,    91,   453,   188,   173,   185,    94,    96,    95,   102,
     103,   104,   105,   107,   108,   372,   106,    89,   111,   150,
     151,   149,   154,    75,   156,   161,   158,   160,    71,   164,
     168,   166,   169,   171,   418,   419,   420,   170,   189,   192,
     188,   193,   202,   200,   203,   207,   205,   206,   395,   214,
     209,   433,   210,   229,   213,   215,   438,   231,   216,   217,
     218,   219,   220,   221,   446,   232,   233,   240,   245,   239,
     243,   222,   452,   230,   234,   250,   242,   244,   247,   235,
     238,   120,   251,   255,   248,   257,   258,   263,   266,   265,
     271,   269,   270,   287,   267,   273,   291,   275,   274,   292,
     279,   295,   296,   297,   281,   298,   293,   303,   304,   305,
     308,   329,   311,   310,   312,   328,   351,   314,   313,   361,
     346,   342,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   373,   344,   345,   347,   348,   352,   369,   371,
     376,   377,   362,   375,   378,   379,   384,   381,   397,   392,
     394,   400,   383,   401,   402,   404,   405,   403,   407,   396,
     398,   399,   421,   410,   413,   409,   411,   427,   408,   428,
     432,   417,   406,   416,   439,   414,   415,   422,   425,   444,
     434,   430,   450,   440,    12,    31,   435,   125,   431,   443,
     429,   447,   437,   451,   262,    86,   358,   355,   110,   382,
     380,     0,     0,     0,     0,   445,   261,     0,   290,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   183,     0,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   190
};

static const yytype_int16 yycheck[] =
{
     149,    96,   213,     3,    98,    50,    51,    51,    52,     3,
       4,    41,   422,     3,     8,     9,    10,    90,     8,     9,
      14,   170,    77,    17,    18,    16,    20,    80,   101,    96,
      80,    81,    82,    78,    78,   102,     3,   447,   187,   188,
       3,     8,     9,    98,    35,     8,     9,    41,    90,   102,
      80,    93,    48,    49,    80,    77,    78,    53,    96,    50,
      56,    78,    79,    60,   102,    87,    88,   216,   217,   218,
      90,   220,    98,    99,    94,    69,    67,    94,    18,     0,
      20,    75,    82,    83,    78,    79,    80,    81,    78,    79,
      80,    81,    92,    96,    90,    77,    78,    97,    94,   102,
      94,    91,    48,    49,    94,   200,   100,   201,    82,    80,
     100,    78,    79,    80,    81,    78,    79,    80,    81,     3,
      91,    91,    86,    96,    96,    86,    96,    94,    95,   102,
     102,    94,    78,   100,    80,    81,    96,   100,    84,    85,
      95,    96,   102,    27,    28,    29,    30,    31,    32,    78,
      79,    35,    96,    37,    38,    39,    89,    40,   102,    42,
      43,    44,    45,    46,    47,    78,    17,    80,   263,    96,
     264,    22,    23,    24,    96,   102,    59,   101,   102,    89,
     102,   330,   331,   332,   333,   334,   335,    63,   337,    65,
      66,    67,   403,    27,    28,    29,    30,    31,    32,   101,
     102,    35,    96,    37,    38,    39,    77,    78,   102,   101,
     102,    82,   101,   102,    96,   309,    87,    88,    96,    80,
     102,    93,    92,   101,    96,    87,    96,   101,   102,    54,
      55,    90,   101,   102,   125,   126,    84,    41,    85,    79,
      79,    78,    96,    95,    80,   340,    91,    78,    92,    92,
      92,    86,    93,    42,    57,    78,    80,    90,    96,    77,
      90,    78,    90,     3,   413,   414,   415,    86,    81,    84,
     102,    85,    78,    61,    54,    25,    78,    93,   373,    86,
      81,   430,    81,    93,    96,    90,   435,    68,    86,    86,
      86,    86,    86,    86,   443,    68,    68,    55,    34,    78,
      78,   101,   451,    93,    95,    80,    91,    78,    91,    96,
      96,    78,     3,    78,    91,    78,    90,    62,    78,    58,
      36,    90,    78,    78,    94,   101,    78,    91,    96,    78,
      96,     5,    86,    15,    96,    18,    97,    21,    73,    76,
      63,     3,    90,    96,    90,    86,    33,    91,    95,     7,
      92,    94,    86,    86,    86,    86,    86,    86,    86,    86,
      86,    86,    64,    78,    78,    78,    78,    78,    78,    78,
      59,    91,    96,    80,    91,    93,    11,    78,    78,   101,
     101,    78,    90,    26,    78,    16,    19,    90,    74,    95,
      95,    95,     6,    78,    86,    91,    91,    70,    96,     8,
      12,    91,   101,    96,    72,    86,    86,    86,    86,    13,
      81,    86,    71,   101,     4,    18,    86,    94,    90,    86,
      96,    86,    91,    86,   235,    59,   325,   323,    88,   360,
     349,    -1,    -1,    -1,    -1,   101,   228,    -1,   267,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   126,    -1,    -1,   126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   133
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,    60,   104,   105,   106,   107,   108,     0,    82,   110,
     111,   194,   107,    86,    77,    78,    87,    88,   112,   113,
     114,   115,    48,    49,    78,    80,    81,    84,    85,   109,
     115,   113,   194,   196,   197,     3,    83,    92,    97,   116,
     117,   118,   119,   120,   121,   141,   162,   163,   194,   195,
      89,    86,    89,   115,    48,    49,    53,    56,    90,    94,
     150,    80,   164,   115,    80,    81,    82,    87,   150,   150,
      93,    96,   130,   132,    40,    42,    43,    44,    45,    46,
      47,    59,   142,   143,   148,   149,   149,    50,    51,    78,
     140,    90,   165,   115,    84,    85,    41,   122,   123,    90,
      93,   133,    79,    79,    78,    96,    91,    95,    80,   135,
     140,    92,    80,    98,    99,   145,   147,     3,     8,     9,
      78,    79,    80,    81,    91,    94,   100,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     180,   181,   182,   183,   184,   185,   186,   188,   189,    86,
      92,    92,    94,   168,    93,   130,    57,   148,    80,   136,
      90,    78,    98,   144,    77,   146,    78,   151,    90,    90,
      86,     3,    95,   166,     3,     4,    10,    14,    17,    18,
      20,    69,    75,   122,   132,   166,    91,    96,   102,    81,
     171,   167,    84,    85,    63,    65,    66,    67,   124,   125,
      61,   126,    78,    54,   138,    78,    93,    25,   152,    81,
      81,   167,    95,    96,    86,    90,    86,    86,    86,    86,
      86,    86,   101,   101,   101,   167,   167,    80,   190,    93,
      93,    68,    68,    68,    95,    96,   168,   130,    96,    78,
      55,   139,    91,    78,    78,    34,   153,    91,    91,   169,
      80,     3,   167,   167,   167,    78,   167,    78,    90,   192,
     191,   192,   124,    62,   127,    58,    78,    94,   137,    90,
      78,    36,   154,   101,    96,    91,    96,    96,    96,    96,
      96,    96,    41,    80,   193,   168,   130,    78,    51,    52,
     151,    78,    78,    97,   155,     5,    86,    15,    18,    17,
      22,    23,    24,    21,    73,    76,    80,    91,    63,   128,
      96,    90,    90,    95,    91,     3,    27,    28,    29,    30,
      31,    32,    35,    37,    38,    39,   156,   159,    86,     3,
      86,    86,    86,    86,    86,    86,    86,    86,    86,    86,
     131,   130,    94,   134,    78,    78,    92,    78,    78,   160,
     161,    33,    78,    78,    80,   158,   157,   158,   157,    92,
      96,     7,    96,   167,   167,   167,   167,   167,   167,    78,
     167,    78,   168,    64,   129,    80,    59,    91,    91,    93,
     161,    78,   159,    90,    11,    96,    96,   187,   101,   101,
     101,   101,   101,    96,   101,   168,    95,    78,    95,    95,
      78,    26,    78,    90,    16,    19,   101,    74,    96,    91,
      78,    91,   169,    86,    86,    86,    96,    91,   167,   167,
     167,     6,    86,   101,    96,    86,   174,    70,     8,    96,
      86,    90,    12,   167,    81,    86,    96,    91,   167,    72,
     101,    96,   179,    86,    13,   101,   167,    86,    96,   174,
      71,    86,   167,   101
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_uint8 yyr1[] =
{
       0,   103,   104,   105,   105,   106,   106,   107,   107,   108,
     109,   109,   109,   109,   109,   109,   109,   109,   109,   109,
     110,   110,   111,   112,   112,   113,   114,   114,   114,   114,
     114,   115,   115,   116,   116,   116,   116,   117,   117,   117,
     118,   119,   120,   121,   121,   121,   121,   121,   121,   122,
     123,   123,   124,   124,   125,   125,   125,   125,   126,   127,
     128,   129,   130,   130,   131,   131,   132,   132,   133,   134,
     134,   135,   136,   136,   137,   137,   137,   137,   138,   138,
     139,   139,   140,   140,   141,   141,   142,   142,   142,   143,
     143,   143,   143,   144,   144,   145,   145,   146,   147,   147,
     147,   147,   148,   149,   149,   149,   149,   150,   150,   150,
     151,   152,   152,   153,   153,   154,   154,   155,   155,   155,
     156,   156,   157,   157,   158,   158,   159,   159,   159,   159,
     159,   159,   159,   159,   159,   159,   160,   160,   161,   162,
     163,   163,   164,   165,   165,   166,   166,   167,   167,   167,
     167,   167,   167,   167,   167,   167,   167,   167,   167,   167,
     167,   167,   167,   167,   167,   167,   167,   167,   168,   168,
     169,   170,   171,   172,   172,   173,   173,   174,   174,   175,
     176,   177,   178,   179,   179,   180,   181,   182,   183,   184,
     185,   186,   186,   186,   186,   187,   187,   188,   189,   190,
     190,   191,   191,   192,   193,   193,   193,   194,   195,   196,
     196,   197
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     4,     0,     1,     1,     2,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       0,     1,     1,     1,     2,     2,     2,     1,     1,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       9,     7,     8,     1,     7,     7,     3,     5,     4,     9,
       4,     2,     1,     3,     1,     2,     2,     2,     2,     2,
       3,     2,     0,     1,     0,     1,     0,     2,    11,     0,
       4,     1,     0,     1,     0,     6,     3,     6,     0,     2,
       0,     2,     0,     3,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     0,     1,     0,     1,     1,     2,     2,
       1,     1,     2,     1,     1,     2,     3,     0,     3,     3,
       6,     0,     2,     0,     2,     0,     2,     0,     3,     3,
       1,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       1,     2,     2,     5,     2,     2,     1,     2,     3,     7,
       0,     2,     1,     2,     3,     1,     3,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     3,     4,
       4,    19,    20,     0,     4,    13,     9,     3,    25,     5,
      10,     9,     9,     9,     9,     0,     4,     9,     3,     0,
       2,     0,     1,     3,     1,     1,     2,     1,     1,     0,
       1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]));
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* script: opt_options opt_init_command events opt_cleanup_command  */
#line 601 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                          {
	(yyval.string) = NULL;		/* The parser output is in out_script */
}
#line 2196 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 3: /* opt_options: %empty  */
#line 607 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.option) = NULL;
	parse_and_finalize_config(invocation);
}
#line 2205 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 4: /* opt_options: options  */
#line 611 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.option) = (yyvsp[0].option);
	parse_and_finalize_config(invocation);
}
#line 2214 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 5: /* options: option  */
#line 618 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	out_script->option_list = (yyvsp[0].option);
	(yyval.option) = (yyvsp[0].option);		/* return the tail so we can append to it */
}
#line 2223 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 6: /* options: options option  */
#line 622 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	(yyvsp[-1].option)->next = (yyvsp[0].option);
	(yyval.option) = (yyvsp[0].option);		/* return the tail so we can append to it */
}
#line 2232 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 7: /* option: option_flag '=' option_value  */
#line 629 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                               {
	(yyval.option) = new_option((yyvsp[-2].string), (yyvsp[0].string));
}
#line 2240 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 8: /* option: option_flag  */
#line 632 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
              {
	(yyval.option) = new_option((yyvsp[0].string), NULL);
}
#line 2248 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 9: /* option_flag: OPTION  */
#line 637 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = (yyvsp[0].reserved); }
#line 2254 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 10: /* option_value: INTEGER  */
#line 641 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = strdup(yytext); }
#line 2260 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 11: /* option_value: WORD  */
#line 642 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = (yyvsp[0].string); }
#line 2266 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 12: /* option_value: STRING  */
#line 643 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = (yyvsp[0].string); }
#line 2272 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 13: /* option_value: IPV4_ADDR  */
#line 644 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = (yyvsp[0].string); }
#line 2278 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 14: /* option_value: IPV6_ADDR  */
#line 645 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = (yyvsp[0].string); }
#line 2284 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 15: /* option_value: IPV4  */
#line 646 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = strdup("ipv4"); }
#line 2290 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 16: /* option_value: IPV6  */
#line 647 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = strdup("ipv6"); }
#line 2296 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 17: /* option_value: WORD '=' WORD  */
#line 648 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	/* For consistency, allow syntax like: --define=PROTO=IPPROTO_TCP */
	char *lhs = (yyvsp[-2].string), *rhs = (yyvsp[0].string);

	asprintf(&((yyval.string)), "%s=%s", lhs, rhs);
	free(lhs);
	free(rhs);
}
#line 2309 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 18: /* option_value: WORD '=' STRING  */
#line 656 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                  {
	/* For consistency, allow syntax like: --define=CC="reno" */
	char *lhs = (yyvsp[-2].string), *rhs = (yyvsp[0].string);

	asprintf(&((yyval.string)), "%s=\"%s\"", lhs, rhs);
	free(lhs);
	free(rhs);
}
#line 2322 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 19: /* option_value: WORD '=' BACK_QUOTED  */
#line 664 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                       {
	/* For consistency, allow syntax like: --define=SCRIPT=`cleanup` */
	char *lhs = (yyvsp[-2].string), *rhs = (yyvsp[0].string);

	asprintf(&((yyval.string)), "%s=`%s`", lhs, rhs);
	free(lhs);
	free(rhs);
}
#line 2335 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 20: /* opt_init_command: %empty  */
#line 675 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { }
#line 2341 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 21: /* opt_init_command: init_command  */
#line 676 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { }
#line 2347 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 22: /* init_command: command_spec  */
#line 680 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { out_script->init_command = (yyvsp[0].command); }
#line 2353 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 23: /* events: event  */
#line 684 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               {
	out_script->event_list = (yyvsp[0].event);  /* save pointer to event list as output
				       * of parser */
	(yyval.event) = (yyvsp[0].event);          /* return the tail so that we can append to it */
}
#line 2363 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 24: /* events: events event  */
#line 689 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               {
	(yyvsp[-1].event)->next = (yyvsp[0].event);    /* link new event to the end of the existing list */
	(yyval.event) = (yyvsp[0].event);          /* return the tail so that we can append to it */
}
#line 2372 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 25: /* event: event_time action  */
#line 696 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                     {
	(yyval.event) = (yyvsp[0].event);
	(yyval.event)->line_number = (yyvsp[-1].event)->line_number;   /* use timestamp's line */
	(yyval.event)->time_usecs  = (yyvsp[-1].event)->time_usecs;
	(yyval.event)->time_usecs_end  = (yyvsp[-1].event)->time_usecs_end;
	(yyval.event)->time_type = (yyvsp[-1].event)->time_type;

	if ((yyval.event)->time_usecs_end != NO_TIME_RANGE) {
		if ((yyval.event)->time_usecs_end < (yyval.event)->time_usecs)
			semantic_error("time range is backwards");
	}
	if ((yyval.event)->time_type == ANY_TIME &&  ((yyval.event)->type != PACKET_EVENT ||
	    packet_direction((yyval.event)->event.packet) != DIRECTION_OUTBOUND)) {
		yylineno = (yyval.event)->line_number;
		semantic_error("event time <star> can only be used with "
			       "outbound packets");
	} else if (((yyval.event)->time_type == ABSOLUTE_RANGE_TIME ||
		    (yyval.event)->time_type == RELATIVE_RANGE_TIME) &&
	           ((yyval.event)->type != PACKET_EVENT ||
		    packet_direction((yyval.event)->event.packet) != DIRECTION_OUTBOUND)) {
		yylineno = (yyval.event)->line_number;
		semantic_error("event time range can only be used with "
			       "outbound packets");
	}
	free((yyvsp[-1].event));
}
#line 2403 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 26: /* event_time: '+' time  */
#line 725 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.event) = new_event(INVALID_EVENT);
	(yyval.event)->line_number = (yylsp[0]).first_line;
	(yyval.event)->time_usecs = (yyvsp[0].time_usecs);
	(yyval.event)->time_type = RELATIVE_TIME;
}
#line 2414 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 27: /* event_time: time  */
#line 731 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               {
	(yyval.event) = new_event(INVALID_EVENT);
	(yyval.event)->line_number = (yylsp[0]).first_line;
	(yyval.event)->time_usecs = (yyvsp[0].time_usecs);
	(yyval.event)->time_type = ABSOLUTE_TIME;
}
#line 2425 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 28: /* event_time: '*'  */
#line 737 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.event) = new_event(INVALID_EVENT);
	(yyval.event)->line_number = (yylsp[0]).first_line;
	(yyval.event)->time_type = ANY_TIME;
}
#line 2435 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 29: /* event_time: time '~' time  */
#line 742 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.event) = new_event(INVALID_EVENT);
	(yyval.event)->line_number = (yylsp[-2]).first_line;
	(yyval.event)->time_type = ABSOLUTE_RANGE_TIME;
	(yyval.event)->time_usecs = (yyvsp[-2].time_usecs);
	(yyval.event)->time_usecs_end = (yyvsp[0].time_usecs);
}
#line 2447 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 30: /* event_time: '+' time '~' '+' time  */
#line 749 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	(yyval.event) = new_event(INVALID_EVENT);
	(yyval.event)->line_number = (yylsp[-4]).first_line;
	(yyval.event)->time_type = RELATIVE_RANGE_TIME;
	(yyval.event)->time_usecs = (yyvsp[-3].time_usecs);
	(yyval.event)->time_usecs_end = (yyvsp[0].time_usecs);
}
#line 2459 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 31: /* time: FLOAT  */
#line 759 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               {
	if ((yyvsp[0].floating) < 0) {
		semantic_error("negative time");
	}
	(yyval.time_usecs) = (s64)((yyvsp[0].floating) * 1.0e6); /* convert float secs to s64 microseconds */
}
#line 2470 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 32: /* time: INTEGER  */
#line 765 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	if ((yyvsp[0].integer) < 0) {
		semantic_error("negative time");
	}
	(yyval.time_usecs) = (s64)((yyvsp[0].integer) * 1000000); /* convert int secs to s64 microseconds */
}
#line 2481 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 33: /* action: packet_spec  */
#line 774 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               { (yyval.event) = new_event(PACKET_EVENT);  (yyval.event)->event.packet  = (yyvsp[0].packet); }
#line 2487 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 34: /* action: syscall_spec  */
#line 775 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               { (yyval.event) = new_event(SYSCALL_EVENT); (yyval.event)->event.syscall = (yyvsp[0].syscall); }
#line 2493 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 35: /* action: command_spec  */
#line 776 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               { (yyval.event) = new_event(COMMAND_EVENT); (yyval.event)->event.command = (yyvsp[0].command); }
#line 2499 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 36: /* action: code_spec  */
#line 777 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               { (yyval.event) = new_event(CODE_EVENT);    (yyval.event)->event.code    = (yyvsp[0].code); }
#line 2505 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 37: /* packet_spec: tcp_packet_spec  */
#line 781 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                   { (yyval.packet) = (yyvsp[0].packet); }
#line 2511 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 38: /* packet_spec: udp_packet_spec  */
#line 782 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                   { (yyval.packet) = (yyvsp[0].packet); }
#line 2517 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 39: /* packet_spec: icmp_packet_spec  */
#line 783 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                   { (yyval.packet) = (yyvsp[0].packet); }
#line 2523 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 40: /* tcp_packet_spec: packet_prefix opt_ip_info opt_port_info flags seq opt_ack opt_window opt_urg_ptr opt_tcp_options  */
#line 787 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                                                                   {
	char *error = NULL;
	struct packet *outer = (yyvsp[-8].packet), *inner = NULL;
	enum direction_t direction = outer->direction;

	if (((yyvsp[-7].ip_info).tos.check == TOS_CHECK_ECN_ECT01) &&
	    (direction != DIRECTION_OUTBOUND)) {
		semantic_error("[ect01] can only be used with outbound packets");
	}

	if (((yyvsp[0].tcp_options) == NULL) && (direction != DIRECTION_OUTBOUND)) {
		yylineno = (yylsp[-2]).first_line;
		semantic_error("<...> for TCP options can only be used with "
			       "outbound packets");
	}

	inner = new_tcp_packet(in_config->wire_protocol,
			       direction, (yyvsp[-7].ip_info), (yyvsp[-6].port_info).src_port, (yyvsp[-6].port_info).dst_port, (yyvsp[-5].string),
			       (yyvsp[-4].tcp_sequence_info).start_sequence, (yyvsp[-4].tcp_sequence_info).payload_bytes,
			       (yyvsp[-3].sequence_number), (yyvsp[-2].window), (yyvsp[-1].urg_ptr), (yyvsp[0].tcp_options), &error);
	free((yyvsp[-5].string));
	free((yyvsp[0].tcp_options));
	if (inner == NULL) {
		assert(error != NULL);
		semantic_error(error);
		free(error);
	}

	(yyval.packet) = packet_encapsulate_and_free(outer, inner);
}
#line 2558 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 41: /* udp_packet_spec: packet_prefix opt_ip_info UDP opt_port_info '(' INTEGER ')'  */
#line 820 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                              {
	char *error = NULL;
	struct packet *outer = (yyvsp[-6].packet), *inner = NULL;
	enum direction_t direction = outer->direction;

	if ((yyvsp[-5].ip_info).tos.check == TOS_CHECK_ECN) {
		semantic_error("ECN can only be used with TCP packets");
	}

	if (!is_valid_u16((yyvsp[-1].integer))) {
		semantic_error("UDP payload size out of range");
	}

	inner = new_udp_packet(in_config->wire_protocol, direction, (yyvsp[-5].ip_info),
			       (yyvsp[-1].integer), (yyvsp[-3].port_info).src_port, (yyvsp[-3].port_info).dst_port, &error);
	if (inner == NULL) {
		assert(error != NULL);
		semantic_error(error);
		free(error);
	}

	(yyval.packet) = packet_encapsulate_and_free(outer, inner);
}
#line 2586 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 42: /* icmp_packet_spec: packet_prefix opt_ip_info ICMP icmp_type opt_icmp_code opt_icmp_mtu opt_icmp_echo_id opt_icmp_echoed  */
#line 847 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                   {
	char *error = NULL;
	struct packet *outer = (yyvsp[-7].packet), *inner = NULL;
	enum direction_t direction = outer->direction;

	if (((yyvsp[-6].ip_info).tos.check == TOS_CHECK_ECN_ECT01) &&
	    (direction != DIRECTION_OUTBOUND)) {
		semantic_error("[ect01] can only be used with outbound packets");
	}

	inner = new_icmp_packet(in_config->wire_protocol, direction, (yyvsp[-4].string), (yyvsp[-3].string),
				(yyvsp[0].tcp_sequence_info).protocol, (yyvsp[0].tcp_sequence_info).start_sequence,
				(yyvsp[0].tcp_sequence_info).payload_bytes, (yyvsp[-6].ip_info), (yyvsp[-2].integer), (yyvsp[-1].integer), &error);
	free((yyvsp[-4].string));
	free((yyvsp[-3].string));
	if (inner == NULL) {
		semantic_error(error);
		free(error);
	}

	(yyval.packet) = packet_encapsulate_and_free(outer, inner);
}
#line 2613 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 43: /* packet_prefix: direction  */
#line 873 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
            {
	(yyval.packet) = packet_new(PACKET_MAX_HEADER_BYTES);
	(yyval.packet)->direction = (yyvsp[0].direction);
}
#line 2622 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 44: /* packet_prefix: packet_prefix IPV4 opt_ip_info IPV4_ADDR '>' IPV4_ADDR ':'  */
#line 877 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                             {
	char *error = NULL;
	struct packet *packet = (yyvsp[-6].packet);
	u8 tos = (yyvsp[-4].ip_info).tos.value;
	u8 ttl = (yyvsp[-4].ip_info).ttl;
	char *ip_src = (yyvsp[-3].string);
	char *ip_dst = (yyvsp[-1].string);
	if (ipv4_header_append(packet, ip_src, ip_dst, tos, ttl, &error))
		semantic_error(error);
	free(ip_src);
	free(ip_dst);
	(yyval.packet) = packet;
}
#line 2640 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 45: /* packet_prefix: packet_prefix IPV6 opt_ip_info IPV6_ADDR '>' IPV6_ADDR ':'  */
#line 890 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                             {
	char *error = NULL;
	struct packet *packet = (yyvsp[-6].packet);
	u8 tos = (yyvsp[-4].ip_info).tos.value;
	u8 hop_limit = (yyvsp[-4].ip_info).ttl;
	char *ip_src = (yyvsp[-3].string);
	char *ip_dst = (yyvsp[-1].string);
	if (ipv6_header_append(packet, ip_src, ip_dst, tos, hop_limit, &error))
		semantic_error(error);
	free(ip_src);
	free(ip_dst);
	(yyval.packet) = packet;
}
#line 2658 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 46: /* packet_prefix: packet_prefix GRE ':'  */
#line 903 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	struct packet *packet = (yyvsp[-2].packet);
	struct expression *expr = new_expression(EXPR_GRE);
	(yyval.packet) = append_gre(packet, expr);
}
#line 2668 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 47: /* packet_prefix: packet_prefix GRE opt_comma gre_header_expression ':'  */
#line 908 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                        {
	struct packet *packet = (yyvsp[-4].packet);
	struct expression *expr = (yyvsp[-1].expression);
	(yyval.packet) = append_gre(packet, expr);
}
#line 2678 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 48: /* packet_prefix: packet_prefix MPLS mpls_stack ':'  */
#line 913 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                    {
	char *error = NULL;
	struct packet *packet = (yyvsp[-3].packet);
	struct mpls_stack *mpls_stack = (yyvsp[-1].mpls_stack);

	if (mpls_header_append(packet, mpls_stack, &error))
		semantic_error(error);
	free(mpls_stack);
	(yyval.packet) = packet;
}
#line 2693 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 49: /* gre_header_expression: gre_flags_list opt_comma gre_sum opt_comma gre_off opt_comma gre_key opt_comma gre_seq  */
#line 930 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
          {
	(yyval.expression) = new_expression(EXPR_GRE);
	(yyval.expression)->value.gre.flags = htons((yyvsp[-8].integer));
	(yyval.expression)->value.gre.be16[0] = htons((yyvsp[-6].integer));
	(yyval.expression)->value.gre.be16[1] = htons((yyvsp[-4].integer));
	(yyval.expression)->value.gre.be32[1] = htonl((yyvsp[-2].integer));
	(yyval.expression)->value.gre.be32[2] = htonl((yyvsp[0].integer));
}
#line 2706 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 50: /* gre_flags_list: FLAGS '[' gre_flags ']'  */
#line 941 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = (yyvsp[-1].integer); }
#line 2712 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 51: /* gre_flags_list: FLAGS any_int  */
#line 942 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = (yyvsp[0].expression)->value.num; }
#line 2718 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 52: /* gre_flags: gre_flag  */
#line 946 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = (yyvsp[0].integer); }
#line 2724 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 53: /* gre_flags: gre_flag ',' gre_flags  */
#line 947 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = (yyvsp[-2].integer) | (yyvsp[0].integer); }
#line 2730 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 54: /* gre_flag: NONE  */
#line 951 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = 0; }
#line 2736 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 55: /* gre_flag: CHECKSUM PRESENT  */
#line 952 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = GRE_FLAG_C; }
#line 2742 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 56: /* gre_flag: KEY PRESENT  */
#line 953 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = GRE_FLAG_K; }
#line 2748 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 57: /* gre_flag: SEQUENCE PRESENT  */
#line 954 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = GRE_FLAG_S; }
#line 2754 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 58: /* gre_sum: SUM any_int  */
#line 958 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = (yyvsp[0].expression)->value.num; }
#line 2760 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 59: /* gre_off: OFF any_int  */
#line 962 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = (yyvsp[0].expression)->value.num; }
#line 2766 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 60: /* gre_key: KEY opt_equals any_int  */
#line 966 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = (yyvsp[0].expression)->value.num; }
#line 2772 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 61: /* gre_seq: SEQ any_int  */
#line 970 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.integer) = (yyvsp[0].expression)->value.num; }
#line 2778 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 62: /* opt_comma: %empty  */
#line 974 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.string) = NULL; }
#line 2784 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 63: /* opt_comma: ','  */
#line 975 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.string) = NULL; }
#line 2790 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 64: /* opt_equals: %empty  */
#line 979 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.string) = NULL; }
#line 2796 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 65: /* opt_equals: '='  */
#line 980 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.string) = NULL; }
#line 2802 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 66: /* mpls_stack: %empty  */
#line 984 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                {
	(yyval.mpls_stack) = mpls_stack_new();
}
#line 2810 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 67: /* mpls_stack: mpls_stack mpls_stack_entry  */
#line 987 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                {
	if (mpls_stack_append((yyvsp[-1].mpls_stack), (yyvsp[0].mpls_stack_entry)))
		semantic_error("too many MPLS labels");
	(yyval.mpls_stack) = (yyvsp[-1].mpls_stack);
}
#line 2820 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 68: /* mpls_stack_entry: '(' LABEL INTEGER ',' TC INTEGER ',' opt_mpls_stack_bottom TTL INTEGER ')'  */
#line 996 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                                           {
	char *error = NULL;
	s64 label = (yyvsp[-8].integer);
	s64 traffic_class = (yyvsp[-5].integer);
	bool is_stack_bottom = (yyvsp[-3].integer);
	s64 ttl = (yyvsp[-1].integer);
	struct mpls mpls;

	if (new_mpls_stack_entry(label, traffic_class, is_stack_bottom, ttl,
				 &mpls, &error))
		semantic_error(error);
	(yyval.mpls_stack_entry) = mpls;
}
#line 2838 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 69: /* opt_mpls_stack_bottom: %empty  */
#line 1012 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        { (yyval.integer) = 0; }
#line 2844 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 70: /* opt_mpls_stack_bottom: '[' WORD ']' ','  */
#line 1013 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	if (strcmp((yyvsp[-2].string), "S") != 0)
		semantic_error("expected [S] for MPLS label stack bottom");
	free((yyvsp[-2].string));
	(yyval.integer) = 1;
}
#line 2855 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 71: /* icmp_type: WORD  */
#line 1022 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = (yyvsp[0].string); }
#line 2861 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 72: /* opt_icmp_code: %empty  */
#line 1026 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = NULL; }
#line 2867 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 73: /* opt_icmp_code: WORD  */
#line 1027 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.string) = (yyvsp[0].string); }
#line 2873 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 74: /* opt_icmp_echoed: %empty  */
#line 1032 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	(yyval.tcp_sequence_info).start_sequence	= 0;
	(yyval.tcp_sequence_info).payload_bytes	= 0;
	(yyval.tcp_sequence_info).protocol		= IPPROTO_TCP;
}
#line 2883 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 75: /* opt_icmp_echoed: '[' UDP '(' INTEGER ')' ']'  */
#line 1037 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                {
	(yyval.tcp_sequence_info).start_sequence	= 0;
	(yyval.tcp_sequence_info).payload_bytes	= (yyvsp[-2].integer);
	(yyval.tcp_sequence_info).protocol		= IPPROTO_UDP;
}
#line 2893 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 76: /* opt_icmp_echoed: '[' seq ']'  */
#line 1042 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	(yyval.tcp_sequence_info) = (yyvsp[-1].tcp_sequence_info);
}
#line 2901 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 77: /* opt_icmp_echoed: '[' RAW '(' INTEGER ')' ']'  */
#line 1045 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                {
	(yyval.tcp_sequence_info).payload_bytes        = (yyvsp[-2].integer);
	(yyval.tcp_sequence_info).protocol             = IPPROTO_RAW;
}
#line 2910 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 78: /* opt_icmp_mtu: %empty  */
#line 1052 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.integer) = -1; }
#line 2916 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 79: /* opt_icmp_mtu: MTU INTEGER  */
#line 1053 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.integer) = (yyvsp[0].integer); }
#line 2922 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 80: /* opt_icmp_echo_id: %empty  */
#line 1057 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                 { (yyval.integer) = 0; }
#line 2928 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 81: /* opt_icmp_echo_id: ID INTEGER  */
#line 1058 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                 { (yyval.integer) = (yyvsp[0].integer); }
#line 2934 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 82: /* opt_port_info: %empty  */
#line 1062 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.port_info).src_port		= 0;
	(yyval.port_info).dst_port		= 0;
}
#line 2943 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 83: /* opt_port_info: INTEGER '>' INTEGER  */
#line 1066 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	if (!is_valid_u16((yyvsp[-2].integer))) {
		semantic_error("src port out of range");
	}
	if (!is_valid_u16((yyvsp[0].integer))) {
		semantic_error("dst port out of range");
	}

	(yyval.port_info).src_port		= (yyvsp[-2].integer);
	(yyval.port_info).dst_port		= (yyvsp[0].integer);
}
#line 2959 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 84: /* direction: '<'  */
#line 1080 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               { (yyval.direction) = DIRECTION_INBOUND;  current_script_line = yylineno; }
#line 2965 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 85: /* direction: '>'  */
#line 1081 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               { (yyval.direction) = DIRECTION_OUTBOUND; current_script_line = yylineno; }
#line 2971 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 86: /* tos_spec: ip_ecn  */
#line 1085 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        { (yyval.tos_spec).check = TOS_CHECK_ECN; (yyval.tos_spec).value = (yyvsp[0].ip_ecn); }
#line 2977 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 87: /* tos_spec: ECT01  */
#line 1086 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        { (yyval.tos_spec).check = TOS_CHECK_ECN_ECT01; (yyval.tos_spec).value = 0; }
#line 2983 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 88: /* tos_spec: TOS HEX_INTEGER  */
#line 1087 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	s64 tos = (yyvsp[0].integer);

	if (!is_valid_u8(tos)) {
		semantic_error("tos out of range for 8 bits");
	}

	(yyval.tos_spec).check = TOS_CHECK_TOS;
	(yyval.tos_spec).value = tos;
}
#line 2998 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 89: /* ip_ecn: NO_ECN  */
#line 1100 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.ip_ecn) = IP_ECN_NONE; }
#line 3004 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 90: /* ip_ecn: ECT0  */
#line 1101 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.ip_ecn) = IP_ECN_ECT0; }
#line 3010 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 91: /* ip_ecn: ECT1  */
#line 1102 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.ip_ecn) = IP_ECN_ECT1; }
#line 3016 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 92: /* ip_ecn: CE  */
#line 1103 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.ip_ecn) = IP_ECN_CE; }
#line 3022 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 93: /* opt_ack_flag: %empty  */
#line 1107 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.string) = strdup("");
}
#line 3030 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 94: /* opt_ack_flag: '.'  */
#line 1110 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.string) = strdup(".");
}
#line 3038 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 95: /* opt_word: %empty  */
#line 1116 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.string) = strdup("");
}
#line 3046 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 96: /* opt_word: WORD  */
#line 1119 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.string) = (yyvsp[0].string);
}
#line 3054 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 97: /* ack_and_ace: FLOAT  */
#line 1125 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
            {
	(yyval.string) = strdup(yytext);
}
#line 3062 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 98: /* flags: WORD opt_ack_flag  */
#line 1131 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                       { asprintf(&((yyval.string)), "%s%s", (yyvsp[-1].string), (yyvsp[0].string)); free((yyvsp[-1].string)); free((yyvsp[0].string)); }
#line 3068 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 99: /* flags: opt_word ack_and_ace  */
#line 1132 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                       { asprintf(&((yyval.string)), "%s%s", (yyvsp[-1].string), (yyvsp[0].string)); free((yyvsp[-1].string)); free((yyvsp[0].string)); }
#line 3074 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 100: /* flags: '.'  */
#line 1133 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               { (yyval.string) = strdup("."); }
#line 3080 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 101: /* flags: '-'  */
#line 1134 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               { (yyval.string) = strdup(""); }
#line 3086 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 102: /* flow_label: FLOWLABEL HEX_INTEGER  */
#line 1138 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	s64 flowlabel = (yyvsp[0].integer);

	if (!is_valid_u20(flowlabel)) {
		semantic_error("flowlabel out of range for 20 bits");
	}
	(yyval.integer) = flowlabel;
}
#line 3099 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 103: /* ip_info: tos_spec  */
#line 1149 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.ip_info).tos.check = (yyvsp[0].tos_spec).check;
	(yyval.ip_info).tos.value = (yyvsp[0].tos_spec).value;
	(yyval.ip_info).flow_label = 0;
	(yyval.ip_info).ttl = 0;
}
#line 3110 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 104: /* ip_info: flow_label  */
#line 1155 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.ip_info).tos.check = TOS_CHECK_NONE;
	(yyval.ip_info).tos.value = 0;
	(yyval.ip_info).flow_label = (yyvsp[0].integer);
	(yyval.ip_info).ttl = 0;
}
#line 3121 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 105: /* ip_info: TTL INTEGER  */
#line 1161 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
              {
	(yyval.ip_info).tos.check = TOS_CHECK_NONE;
	(yyval.ip_info).tos.value = 0;
	(yyval.ip_info).flow_label = 0;
	(yyval.ip_info).ttl = (yyvsp[0].integer);
}
#line 3132 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 106: /* ip_info: tos_spec ',' flow_label  */
#line 1167 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                          {
	(yyval.ip_info).tos.check = (yyvsp[-2].tos_spec).check;
	(yyval.ip_info).tos.value = (yyvsp[-2].tos_spec).value;
	(yyval.ip_info).flow_label = (yyvsp[0].integer);
	(yyval.ip_info).ttl = 0;
}
#line 3143 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 107: /* opt_ip_info: %empty  */
#line 1176 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	(yyval.ip_info).tos.check = TOS_CHECK_NONE;
	(yyval.ip_info).tos.value = 0;
	(yyval.ip_info).flow_label = 0;
	(yyval.ip_info).ttl = 0;
}
#line 3154 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 108: /* opt_ip_info: '(' ip_info ')'  */
#line 1182 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        { (yyval.ip_info) = (yyvsp[-1].ip_info); }
#line 3160 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 109: /* opt_ip_info: '[' ip_info ']'  */
#line 1183 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        { (yyval.ip_info) = (yyvsp[-1].ip_info); }
#line 3166 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 110: /* seq: INTEGER ':' INTEGER '(' INTEGER ')'  */
#line 1187 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                      {
	if (!is_valid_u32((yyvsp[-5].integer))) {
		semantic_error("TCP start sequence number out of range");
	}
	if (!is_valid_u32((yyvsp[-3].integer))) {
		semantic_error("TCP end sequence number out of range");
	}
	if (!is_valid_u16((yyvsp[-1].integer))) {
		semantic_error("TCP payload size out of range");
	}
	if ((yyvsp[-3].integer) != ((yyvsp[-5].integer) +(yyvsp[-1].integer))) {
		semantic_error("inconsistent TCP sequence numbers and "
			       "payload size");
	}
	(yyval.tcp_sequence_info).start_sequence = (yyvsp[-5].integer);
	(yyval.tcp_sequence_info).payload_bytes = (yyvsp[-1].integer);
	(yyval.tcp_sequence_info).protocol = IPPROTO_TCP;
}
#line 3189 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 111: /* opt_ack: %empty  */
#line 1208 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               { (yyval.sequence_number) = 0; }
#line 3195 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 112: /* opt_ack: ACK INTEGER  */
#line 1209 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               {
	if (!is_valid_u32((yyvsp[0].integer))) {
		semantic_error("TCP ack sequence number out of range");
	}
	(yyval.sequence_number) = (yyvsp[0].integer);
}
#line 3206 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 113: /* opt_window: %empty  */
#line 1218 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.window) = -1; }
#line 3212 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 114: /* opt_window: WIN INTEGER  */
#line 1219 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	if (!is_valid_u16((yyvsp[0].integer))) {
		semantic_error("TCP window value out of range");
	}
	(yyval.window) = (yyvsp[0].integer);
}
#line 3223 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 115: /* opt_urg_ptr: %empty  */
#line 1228 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                { (yyval.urg_ptr) = 0; }
#line 3229 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 116: /* opt_urg_ptr: URG INTEGER  */
#line 1229 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	if (!is_valid_u16((yyvsp[0].integer))) {
		semantic_error("urg_ptr value out of range");
	}
	(yyval.urg_ptr) = (yyvsp[0].integer);
}
#line 3240 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 117: /* opt_tcp_options: %empty  */
#line 1238 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                              { (yyval.tcp_options) = tcp_options_new(); }
#line 3246 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 118: /* opt_tcp_options: '<' tcp_option_list '>'  */
#line 1239 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                              { (yyval.tcp_options) = (yyvsp[-1].tcp_options); }
#line 3252 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 119: /* opt_tcp_options: '<' ELLIPSIS '>'  */
#line 1240 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                              { (yyval.tcp_options) = NULL; /* FLAG_OPTIONS_NOCHECK */ }
#line 3258 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 120: /* tcp_option_list: tcp_option  */
#line 1244 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                   {
	(yyval.tcp_options) = tcp_options_new();
	if (tcp_options_append((yyval.tcp_options), (yyvsp[0].tcp_option))) {
		semantic_error("TCP option list too long");
	}
}
#line 3269 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 121: /* tcp_option_list: tcp_option_list ',' tcp_option  */
#line 1250 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                   {
	(yyval.tcp_options) = (yyvsp[-2].tcp_options);
	if (tcp_options_append((yyval.tcp_options), (yyvsp[0].tcp_option))) {
		semantic_error("TCP option list too long");
	}
}
#line 3280 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 122: /* opt_tcp_fast_open_cookie: %empty  */
#line 1259 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        { (yyval.string) = strdup(""); }
#line 3286 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 123: /* opt_tcp_fast_open_cookie: hex_blob  */
#line 1260 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        { (yyval.string) = (yyvsp[0].string); }
#line 3292 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 124: /* hex_blob: WORD  */
#line 1264 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
          { (yyval.string) = (yyvsp[0].string); }
#line 3298 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 125: /* hex_blob: INTEGER  */
#line 1265 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
          { (yyval.string) = strdup(yytext); }
#line 3304 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 126: /* tcp_option: NOP  */
#line 1269 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                   { (yyval.tcp_option) = tcp_option_new(TCPOPT_NOP, 1); }
#line 3310 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 127: /* tcp_option: EOL  */
#line 1270 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                   { (yyval.tcp_option) = tcp_option_new(TCPOPT_EOL, 1); }
#line 3316 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 128: /* tcp_option: MSS INTEGER  */
#line 1271 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                   {
	(yyval.tcp_option) = tcp_option_new(TCPOPT_MAXSEG, TCPOLEN_MAXSEG);
	if (!is_valid_u16((yyvsp[0].integer))) {
		semantic_error("mss value out of range");
	}
	(yyval.tcp_option)->data.mss.bytes = htons((yyvsp[0].integer));
}
#line 3328 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 129: /* tcp_option: WSCALE INTEGER  */
#line 1278 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                   {
	(yyval.tcp_option) = tcp_option_new(TCPOPT_WINDOW, TCPOLEN_WINDOW);
	if (!is_valid_u8((yyvsp[0].integer))) {
		semantic_error("window scale shift count out of range");
	}
	(yyval.tcp_option)->data.window_scale.shift_count = (yyvsp[0].integer);
}
#line 3340 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 130: /* tcp_option: SACKOK  */
#line 1285 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                   {
	(yyval.tcp_option) = tcp_option_new(TCPOPT_SACK_PERMITTED,
				    TCPOLEN_SACK_PERMITTED);
}
#line 3349 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 131: /* tcp_option: SACK sack_block_list  */
#line 1289 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                       {
	(yyval.tcp_option) = (yyvsp[0].tcp_option);
}
#line 3357 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 132: /* tcp_option: MD5 hex_blob  */
#line 1292 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               {
	char *error = NULL;
	(yyval.tcp_option) = new_md5_option((yyvsp[0].string), &error);
	free((yyvsp[0].string));
	if ((yyval.tcp_option) == NULL) {
		assert(error != NULL);
		semantic_error(error);
		free(error);
	}
}
#line 3372 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 133: /* tcp_option: TIMESTAMP VAL INTEGER ECR INTEGER  */
#line 1302 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                     {
	u32 val, ecr;
	(yyval.tcp_option) = tcp_option_new(TCPOPT_TIMESTAMP, TCPOLEN_TIMESTAMP);
	if (!is_valid_u32((yyvsp[-2].integer))) {
		semantic_error("ts val out of range");
	}
	if (!is_valid_u32((yyvsp[0].integer))) {
		semantic_error("ecr val out of range");
	}
	val = (yyvsp[-2].integer);
	ecr = (yyvsp[0].integer);
	(yyval.tcp_option)->data.time_stamp.val = htonl(val);
	(yyval.tcp_option)->data.time_stamp.ecr = htonl(ecr);
}
#line 3391 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 134: /* tcp_option: FAST_OPEN opt_tcp_fast_open_cookie  */
#line 1316 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                      {
	char *error = NULL;
	(yyval.tcp_option) = new_tcp_fast_open_option((yyvsp[0].string), &error, false);
	free((yyvsp[0].string));
	if ((yyval.tcp_option) == NULL) {
		assert(error != NULL);
		semantic_error(error);
		free(error);
	}
}
#line 3406 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 135: /* tcp_option: FAST_OPEN_EXP opt_tcp_fast_open_cookie  */
#line 1326 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                          {
	char *error = NULL;
	(yyval.tcp_option) = new_tcp_fast_open_option((yyvsp[0].string), &error, true);
	free((yyvsp[0].string));
	if ((yyval.tcp_option) == NULL) {
		assert(error != NULL);
		semantic_error(error);
		free(error);
	}
}
#line 3421 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 136: /* sack_block_list: sack_block  */
#line 1339 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                             { (yyval.tcp_option) = (yyvsp[0].tcp_option); }
#line 3427 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 137: /* sack_block_list: sack_block_list sack_block  */
#line 1340 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                             {
	const int list_block_bytes =  (yyvsp[-1].tcp_option)->length - 2;
	assert(list_block_bytes > 0);
	assert((list_block_bytes % sizeof(struct sack_block)) == 0);
	const int num_blocks = list_block_bytes / sizeof(struct sack_block);
	/* Append this SACK block to the end of the array of blocks. */
	memcpy((yyvsp[-1].tcp_option)->data.sack.block + num_blocks, (yyvsp[0].tcp_option)->data.sack.block,
		sizeof(struct sack_block));
	(yyvsp[-1].tcp_option)->length += sizeof(struct sack_block);
	free((yyvsp[0].tcp_option));
	(yyval.tcp_option) = (yyvsp[-1].tcp_option);
}
#line 3444 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 138: /* sack_block: INTEGER ':' INTEGER  */
#line 1355 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                      {
	(yyval.tcp_option) = tcp_option_new(TCPOPT_SACK, 2 + sizeof(struct sack_block));
	if (!is_valid_u32((yyvsp[-2].integer))) {
		semantic_error("TCP SACK left sequence number out of range");
	}
	if (!is_valid_u32((yyvsp[0].integer))) {
		semantic_error("TCP SACK right sequence number out of range");
	}
	(yyval.tcp_option)->data.sack.block[0].left = htonl((yyvsp[-2].integer));
	(yyval.tcp_option)->data.sack.block[0].right = htonl((yyvsp[0].integer));
}
#line 3460 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 139: /* syscall_spec: opt_end_time function_name function_arguments '=' expression opt_errno opt_note  */
#line 1370 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                 {
	(yyval.syscall) = calloc(1, sizeof(struct syscall_spec));
	(yyval.syscall)->end_usecs	= (yyvsp[-6].time_usecs);
	(yyval.syscall)->name	= (yyvsp[-5].string);
	(yyval.syscall)->arguments	= (yyvsp[-4].expression_list);
	(yyval.syscall)->result	= (yyvsp[-2].expression);
	(yyval.syscall)->error	= (yyvsp[-1].errno_info);
	(yyval.syscall)->note	= (yyvsp[0].string);
}
#line 3474 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 140: /* opt_end_time: %empty  */
#line 1382 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                          { (yyval.time_usecs) = SYSCALL_NON_BLOCKING; }
#line 3480 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 141: /* opt_end_time: ELLIPSIS time  */
#line 1383 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                          { (yyval.time_usecs) = (yyvsp[0].time_usecs); }
#line 3486 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 142: /* function_name: WORD  */
#line 1387 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                          { (yyval.string) = (yyvsp[0].string); current_script_line = yylineno; }
#line 3492 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 143: /* function_arguments: '(' ')'  */
#line 1391 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                          { (yyval.expression_list) = NULL; }
#line 3498 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 144: /* function_arguments: '(' expression_list ')'  */
#line 1392 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                          { (yyval.expression_list) = (yyvsp[-1].expression_list); }
#line 3504 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 145: /* expression_list: expression  */
#line 1396 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                 { (yyval.expression_list) = new_expression_list((yyvsp[0].expression)); }
#line 3510 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 146: /* expression_list: expression_list ',' expression  */
#line 1397 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                 { (yyval.expression_list) = (yyvsp[-2].expression_list); expression_list_append((yyvsp[-2].expression_list), (yyvsp[0].expression)); }
#line 3516 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 147: /* expression: ELLIPSIS  */
#line 1401 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = new_expression(EXPR_ELLIPSIS);
}
#line 3524 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 148: /* expression: any_int  */
#line 1404 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    { (yyval.expression) = (yyvsp[0].expression); }
#line 3530 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 149: /* expression: WORD  */
#line 1405 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = new_expression(EXPR_WORD);
	(yyval.expression)->value.buf.ptr = (yyvsp[0].string);
	(yyval.expression)->value.buf.len = strlen((yyvsp[0].string));
}
#line 3540 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 150: /* expression: string_sequence  */
#line 1410 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                  {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3548 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 151: /* expression: STRING ELLIPSIS  */
#line 1413 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = new_expression(EXPR_STRING);
	(yyval.expression)->value.buf.ptr = (yyvsp[-1].string);
	(yyval.expression)->value.buf.len = strlen((yyvsp[-1].string));
	(yyval.expression)->format = "\"%s\"...";
}
#line 3559 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 152: /* expression: binary_expression  */
#line 1419 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3567 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 153: /* expression: array  */
#line 1422 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3575 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 154: /* expression: inaddr  */
#line 1425 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                  {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3583 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 155: /* expression: in6addr  */
#line 1428 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                   {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3591 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 156: /* expression: sockaddr  */
#line 1431 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3599 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 157: /* expression: msghdr  */
#line 1434 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3607 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 158: /* expression: iovec  */
#line 1437 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3615 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 159: /* expression: pollfd  */
#line 1440 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3623 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 160: /* expression: linger  */
#line 1443 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3631 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 161: /* expression: mpls_stack_expression  */
#line 1446 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3639 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 162: /* expression: cmsg_expr  */
#line 1449 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
            {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3647 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 163: /* expression: scm_timestamping_expr  */
#line 1452 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3655 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 164: /* expression: sub_expr_list  */
#line 1455 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3663 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 165: /* expression: sock_extended_err_expr  */
#line 1458 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                         {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3671 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 166: /* expression: '{' gre_header_expression '}'  */
#line 1461 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                {
	(yyval.expression) = (yyvsp[-1].expression);
}
#line 3679 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 167: /* expression: epollev  */
#line 1464 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                     {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3687 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 168: /* any_int: decimal_integer  */
#line 1470 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    { (yyval.expression) = (yyvsp[0].expression); }
#line 3693 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 169: /* any_int: hex_integer  */
#line 1471 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    { (yyval.expression) = (yyvsp[0].expression); }
#line 3699 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 170: /* decimal_integer: INTEGER  */
#line 1475 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = new_integer_expression((yyvsp[0].integer), "%ld");
}
#line 3707 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 171: /* hex_integer: HEX_INTEGER  */
#line 1481 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = new_integer_expression((yyvsp[0].integer), "%#lx");
}
#line 3715 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 172: /* string_expression: STRING  */
#line 1487 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = new_expression(EXPR_STRING);
	(yyval.expression)->value.buf.ptr = (yyvsp[0].string);
	(yyval.expression)->value.buf.len = strlen((yyvsp[0].string));
	(yyval.expression)->format = "\"%s\"";
}
#line 3726 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 173: /* string_sequence: string_expression  */
#line 1496 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.expression) = (yyvsp[0].expression);
}
#line 3734 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 174: /* string_sequence: string_sequence string_expression  */
#line 1499 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                    {    /* string concatenation */
	(yyval.expression) = new_expression(EXPR_BINARY);
	struct binary_expression *binary =
			  malloc(sizeof(struct binary_expression));
	binary->op = strdup(".");
	binary->lhs = (yyvsp[-1].expression);
	binary->rhs = (yyvsp[0].expression);
	(yyval.expression)->value.binary = binary;
}
#line 3748 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 175: /* binary_expression: expression '|' expression  */
#line 1511 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                            {       /* bitwise OR */
	(yyval.expression) = new_expression(EXPR_BINARY);
	struct binary_expression *binary =
			  malloc(sizeof(struct binary_expression));
	binary->op = strdup("|");
	binary->lhs = (yyvsp[-2].expression);
	binary->rhs = (yyvsp[0].expression);
	(yyval.expression)->value.binary = binary;
}
#line 3762 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 176: /* binary_expression: WORD '=' expression  */
#line 1520 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                      {       /* symbol = value */
	(yyval.expression) = new_expression(EXPR_BINARY);
	struct binary_expression *binary =
			  malloc(sizeof(struct binary_expression));
	binary->op = strdup("=");
	binary->lhs = new_expression(EXPR_WORD);
	binary->lhs->value.buf.ptr = (yyvsp[-2].string);
	binary->lhs->value.buf.len = strlen((yyvsp[-2].string));
	binary->rhs = (yyvsp[0].expression);
	(yyval.expression)->value.binary = binary;
}
#line 3778 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 177: /* array: '[' ']'  */
#line 1534 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                          {
	(yyval.expression) = new_expression(EXPR_LIST);
	(yyval.expression)->value.list = NULL;
}
#line 3787 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 178: /* array: '[' expression_list ']'  */
#line 1538 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                          {
	(yyval.expression) = new_expression(EXPR_LIST);
	(yyval.expression)->value.list = (yyvsp[-1].expression_list);
}
#line 3796 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 179: /* inaddr: INET_ADDR '(' STRING ')'  */
#line 1545 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                           {
	__be32 ip_address = inet_addr((yyvsp[-1].string));
	(yyval.expression) = new_integer_expression(ip_address, "%#lx");
}
#line 3805 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 180: /* in6addr: INET6_ADDR '(' STRING ')'  */
#line 1552 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                            {
	struct in6_addr ipv6_address;
	if (inet_pton(AF_INET6, (yyvsp[-1].string), &ipv6_address) != 1) {
		semantic_error("cannot parse in6_addr");
	}
	(yyval.expression) = new_expression(EXPR_IN6_ADDR);
	(yyval.expression)->value.address_ipv6 = ipv6_address;
}
#line 3818 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 181: /* sockaddr: '{' SA_FAMILY '=' WORD ',' SIN_PORT '=' _HTONS_ '(' INTEGER ')' ',' SIN_ADDR '=' INET_ADDR '(' STRING ')' '}'  */
#line 1565 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                  {
	if (strcmp((yyvsp[-15].string), "AF_INET") == 0) {
		struct sockaddr_in *ipv4 = malloc(sizeof(struct sockaddr_in));
		memset(ipv4, 0, sizeof(*ipv4));
		ipv4->sin_family = AF_INET;
		ipv4->sin_port = htons((yyvsp[-9].integer));
		if (inet_pton(AF_INET, (yyvsp[-2].string), &ipv4->sin_addr) == 1) {
			(yyval.expression) = new_expression(EXPR_SOCKET_ADDRESS_IPV4);
			(yyval.expression)->value.socket_address_ipv4 = ipv4;
		} else {
			free(ipv4);
			semantic_error("invalid IPv4 address");
		}
	} else if (strcmp((yyvsp[-15].string), "AF_INET6") == 0) {
		struct sockaddr_in6 *ipv6 = malloc(sizeof(struct sockaddr_in6));
		memset(ipv6, 0, sizeof(*ipv6));
		ipv6->sin6_family = AF_INET6;
		ipv6->sin6_port = htons((yyvsp[-9].integer));
		if (inet_pton(AF_INET6, (yyvsp[-2].string), &ipv6->sin6_addr) == 1) {
			(yyval.expression) = new_expression(EXPR_SOCKET_ADDRESS_IPV6);
			(yyval.expression)->value.socket_address_ipv6 = ipv6;
		} else {
			free(ipv6);
			semantic_error("invalid IPv6 address");
		}
	}
}
#line 3850 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 182: /* msghdr: '{' MSG_NAME '(' ELLIPSIS ')' '=' ELLIPSIS ',' MSG_IOV '(' decimal_integer ')' '=' array ',' MSG_FLAGS '=' expression opt_cmsg '}'  */
#line 1598 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                   {
	struct msghdr_expr *msg_expr = calloc(1, sizeof(struct msghdr_expr));
	(yyval.expression) = new_expression(EXPR_MSGHDR);
	(yyval.expression)->value.msghdr = msg_expr;
	msg_expr->msg_name	= new_expression(EXPR_ELLIPSIS);
	msg_expr->msg_namelen	= new_expression(EXPR_ELLIPSIS);
	msg_expr->msg_iov	= (yyvsp[-6].expression);
	msg_expr->msg_iovlen	= (yyvsp[-9].expression);
	msg_expr->msg_control	= (yyvsp[-1].expression);
	msg_expr->msg_flags	= (yyvsp[-2].expression);
}
#line 3866 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 183: /* opt_cmsg: %empty  */
#line 1612 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.expression) = new_expression(EXPR_LIST); }
#line 3872 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 184: /* opt_cmsg: ',' MSG_CONTROL '=' array  */
#line 1613 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                { (yyval.expression) = (yyvsp[0].expression); }
#line 3878 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 185: /* cmsg_expr: '{' CMSG_LEVEL '=' expression ',' CMSG_TYPE '=' expression ',' CMSG_DATA '=' expression '}'  */
#line 1619 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                   {
	struct cmsg_expr *cmsg_expr = calloc(1, sizeof(struct cmsg_expr));
	(yyval.expression) = new_expression(EXPR_CMSG);
	(yyval.expression)->value.cmsg = cmsg_expr;
	cmsg_expr->cmsg_level = (yyvsp[-9].expression);
	cmsg_expr->cmsg_type  = (yyvsp[-5].expression);
	cmsg_expr->cmsg_data  = (yyvsp[-1].expression);
}
#line 3891 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 186: /* scm_timestamping_expr: '{' SCM_SEC '=' INTEGER ',' SCM_NSEC '=' INTEGER '}'  */
#line 1631 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                               {
	struct scm_timestamping_expr *ts_expr =
		calloc(1, sizeof(struct scm_timestamping_expr));
	ts_expr->ts[0].tv_sec = (yyvsp[-5].integer);
	ts_expr->ts[0].tv_nsec = (yyvsp[-1].integer);

	(yyval.expression) = new_expression(EXPR_SCM_TIMESTAMPING);
	(yyval.expression)->value.scm_timestamping = ts_expr;
}
#line 3905 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 187: /* sub_expr_list: '{' expression_list '}'  */
#line 1643 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                          {
	(yyval.expression) = new_expression(EXPR_LIST);
	(yyval.expression)->value.list = (yyvsp[-1].expression_list);
}
#line 3914 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 188: /* sock_extended_err_expr: '{' EE_ERRNO '=' expression ',' EE_ORIGIN '=' expression ',' EE_TYPE '=' expression ',' EE_CODE '=' expression ',' EE_INFO '=' expression ',' EE_DATA '=' expression '}'  */
#line 1655 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                 {
	struct sock_extended_err_expr *ee_expr =
		calloc(1, sizeof(struct sock_extended_err_expr));
	ee_expr->ee_errno = (yyvsp[-21].expression);
	ee_expr->ee_origin = (yyvsp[-17].expression);
	ee_expr->ee_type = (yyvsp[-13].expression);
	ee_expr->ee_code = (yyvsp[-9].expression);
	ee_expr->ee_info = (yyvsp[-5].expression);
	ee_expr->ee_data = (yyvsp[-1].expression);
	(yyval.expression) = new_expression(EXPR_SOCK_EXTENDED_ERR);
	(yyval.expression)->value.sock_extended_err = ee_expr;
}
#line 3931 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 189: /* iovec: '{' ELLIPSIS ',' decimal_integer '}'  */
#line 1670 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                       {
	struct iovec_expr *iov_expr = calloc(1, sizeof(struct iovec_expr));
	(yyval.expression) = new_expression(EXPR_IOVEC);
	(yyval.expression)->value.iovec = iov_expr;
	iov_expr->iov_base = new_expression(EXPR_ELLIPSIS);
	iov_expr->iov_len = (yyvsp[-1].expression);
}
#line 3943 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 190: /* pollfd: '{' FD '=' expression ',' EVENTS '=' expression opt_revents '}'  */
#line 1680 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                                  {
	struct pollfd_expr *pollfd_expr = calloc(1, sizeof(struct pollfd_expr));
	(yyval.expression) = new_expression(EXPR_POLLFD);
	(yyval.expression)->value.pollfd = pollfd_expr;
	pollfd_expr->fd = (yyvsp[-6].expression);
	pollfd_expr->events = (yyvsp[-2].expression);
	pollfd_expr->revents = (yyvsp[-1].expression);
}
#line 3956 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 191: /* epollev: '{' EVENTS '=' expression ',' FD '=' expression '}'  */
#line 1691 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                      {
	struct epollev_expr *epollev_expr = calloc(1, sizeof(struct epollev_expr));
	(yyval.expression) = new_expression(EXPR_EPOLLEV);
	(yyval.expression)->value.epollev = epollev_expr;
	epollev_expr->events = (yyvsp[-5].expression);
	epollev_expr->fd = (yyvsp[-1].expression);
}
#line 3968 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 192: /* epollev: '{' EVENTS '=' expression ',' PTR '=' expression '}'  */
#line 1697 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                         {
	struct epollev_expr *epollev_expr = calloc(1, sizeof(struct epollev_expr));
	(yyval.expression) = new_expression(EXPR_EPOLLEV);
	(yyval.expression)->value.epollev = epollev_expr;
	epollev_expr->events = (yyvsp[-5].expression);
	epollev_expr->ptr = (yyvsp[-1].expression);
}
#line 3980 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 193: /* epollev: '{' EVENTS '=' expression ',' U32 '=' expression '}'  */
#line 1703 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                         {
	struct epollev_expr *epollev_expr = calloc(1, sizeof(struct epollev_expr));
	(yyval.expression) = new_expression(EXPR_EPOLLEV);
	(yyval.expression)->value.epollev = epollev_expr;
	epollev_expr->events = (yyvsp[-5].expression);
	epollev_expr->u32 = (yyvsp[-1].expression);
}
#line 3992 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 194: /* epollev: '{' EVENTS '=' expression ',' U64 '=' expression '}'  */
#line 1709 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                         {
	struct epollev_expr *epollev_expr = calloc(1, sizeof(struct epollev_expr));
	(yyval.expression) = new_expression(EXPR_EPOLLEV);
	(yyval.expression)->value.epollev = epollev_expr;
	epollev_expr->events = (yyvsp[-5].expression);
	epollev_expr->u64 = (yyvsp[-1].expression);
}
#line 4004 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 195: /* opt_revents: %empty  */
#line 1719 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                 { (yyval.expression) = new_integer_expression(0, "%ld"); }
#line 4010 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 196: /* opt_revents: ',' REVENTS '=' expression  */
#line 1720 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                 { (yyval.expression) = (yyvsp[0].expression); }
#line 4016 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 197: /* linger: '{' ONOFF '=' INTEGER ',' LINGER '=' INTEGER '}'  */
#line 1724 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                                                   {
	(yyval.expression) = new_expression(EXPR_LINGER);
	(yyval.expression)->value.linger.l_onoff  = (yyvsp[-5].integer);
	(yyval.expression)->value.linger.l_linger = (yyvsp[-1].integer);
}
#line 4026 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 198: /* mpls_stack_expression: '{' mpls_stack '}'  */
#line 1733 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        {
	(yyval.expression) = new_expression(EXPR_MPLS_STACK);
	(yyval.expression)->value.mpls_stack = (yyvsp[-1].mpls_stack);
}
#line 4035 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 199: /* opt_errno: %empty  */
#line 1740 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    { (yyval.errno_info) = NULL; }
#line 4041 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 200: /* opt_errno: WORD note  */
#line 1741 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.errno_info) = malloc(sizeof(struct errno_spec));
	(yyval.errno_info)->errno_macro = (yyvsp[-1].string);
	(yyval.errno_info)->strerror    = (yyvsp[0].string);
}
#line 4051 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 201: /* opt_note: %empty  */
#line 1749 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    { (yyval.string) = NULL; }
#line 4057 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 202: /* opt_note: note  */
#line 1750 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    { (yyval.string) = (yyvsp[0].string); }
#line 4063 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 203: /* note: '(' word_list ')'  */
#line 1754 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    { (yyval.string) = (yyvsp[-1].string); }
#line 4069 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 204: /* word_list: WORD  */
#line 1758 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    { (yyval.string) = (yyvsp[0].string); }
#line 4075 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 205: /* word_list: FLAGS  */
#line 1759 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    { (yyval.string) = strdup("flags"); }
#line 4081 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 206: /* word_list: word_list WORD  */
#line 1760 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    { asprintf(&((yyval.string)), "%s %s", (yyvsp[-1].string), (yyvsp[0].string)); free((yyvsp[-1].string)); free((yyvsp[0].string)); }
#line 4087 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 207: /* command_spec: BACK_QUOTED  */
#line 1764 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.command) = malloc(sizeof(struct command_spec));
	(yyval.command)->command_line = (yyvsp[0].string);
	current_script_line = yylineno;
}
#line 4097 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 208: /* code_spec: CODE  */
#line 1772 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                    {
	(yyval.code) = calloc(1, sizeof(struct code_spec));
	(yyval.code)->text = (yyvsp[0].string);
	current_script_line = yylineno;
 }
#line 4107 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 209: /* opt_cleanup_command: %empty  */
#line 1780 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        { }
#line 4113 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 210: /* opt_cleanup_command: cleanup_command  */
#line 1781 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
                        { }
#line 4119 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;

  case 211: /* cleanup_command: command_spec  */
#line 1785 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.y"
               {
	out_script->cleanup_command = (yyvsp[0].command);
	cleanup_cmd = out_script->cleanup_command->command_line;
}
#line 4128 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"
    break;


#line 4132 "/builddir/build/BUILD/packetdrill-2.0_20220927gitc556afb-build/packetdrill-c556afbd8840149991b6e830f2d3d63cc50388b1/gtests/net/packetdrill/parser.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

